since 1.0.4
- New feature: "File->Export->As HTML..." using tth (Asger)

since 1.0.4pre8
- small fix to qoutes in DocBook. (Jose)
- blurb about DocBook in LaTeXConfig (Jose)
- small bug with linuxdoc in LaTeXConfig (Lgb)
- added it_Intro. (Giovanni Iachello)
- updated documention files from lyxdoc. (Lgb)
- added section about revtex4 in LaTeXConfig.lyx.in (JMarc)
- one line fix to docbook layout (Jose)
- switched the mousewheel to scroll in the same way as
  gnome-terminal (Lgb)
- small DocBook fix (Jose)
- Added revtex4 layout, template, and (skeleton) docs (Karger)
- updated pl.po (Pawel)
- updated makeDocBookFile (Jose)
- example and template file for DocBook (Jose)

since 1.0.4pre6
- recreated all po files to be up to date with the lyx.pot. (Lgb)
- updated dependencies in src/Makefile.in (Lgb)
- small fix in table.C where the PWidth was not returned
  correctly for multicolumn-virtual-multirow-cells (Jug)
- A (hopefully) last change so that caption for floats work corectly (Jug)
- Small copy/paste bug fix from Jose (Jug)
- Now multicolumns work for DocBook and some quirks with
  caption are now fixed. This should work now pretty good :) (Jug)
- Small fix for width entry and multicolumns in tabulars (Jug)
- Introduced Tabular export for Jose's DocBook (Jug)
- dummy change because of new cvs location (Lgb)
- Finally corrected detection of DocBook classes. Note that linuxdoc
  textclasses are now defined with \DeclareLinuxDocClass, while
  docbook classes use \DeclareDocBookClass (JMarc)
- Updated no.po (Lgb)
- Updated pl.po (Pawel)
- Added key binds for Scientific Word (Serge Winitzki)
- Better support for russian: cyrrilic input encodings, a
  few bugfixes and new russian splash screen (Const Kaplinsky)
- Changed the shortcut of Insert->Float->Figure so that it makes more 
  sense, as pointed out by Rick (JMarc)
- Fix the rendering of PS images on some color display (Dan Mueth)
- OS/2 fixes in file handling (SMiyata and Arndt)
- Fix possible 8bit problem in math editor (Leonid Zeitlin)
- In generated LaTeX, font selection must be done before font 
  encoding selection, as noted by Fred Hucht (JMarc)
- more docbook updates: the .eps is stripped from the graphics name,
  the generated Docbook is updated to the latest, v3.1 (Jose')

since 1.0.4pre4
- some more changes for the scroll-wheel support. using the wheel
  does not move the cursor. Slight optimization, removing of
  dead-code from BufferView::WorkAreaButtonPress. (Lgb)
- to make logic better the whell has been reversed (Lgb)
- support for accellerated scroll-wheel support (Rvdk, Lgb)
- fixed custom-pagesize printing bugs.  Added a new lyxrc variable
  print_paper_dimension_flag for setting custom page sizes.
  Also made sure the appropriate lyxrc variables were used rather than
  relying on hardcoded entries   (ARRae)
- fixed bug in lyxrc parsing, table not in alphabetical order (again!)
  -- spotted by Reuben Thomas (ARRae)
- Updates to german translation (Pit)
- Fix off-by-one error in the File menu (JMarc)
- Index insets do not show the indexed word anymore, since it is
  likely the word just before (JMarc)
- Some changes to make update/view/dependency checking help us to just
  the number of required latex runs. (Lgb)

since 1.0.4pre2
- updated documentation from repository (Lgb)
- changed parsing of the latex log in LaTeX.C to not care about
  \listfiles anymore. No we should be able to see more/all external
  files used by LaTex. (Lgb)
- do not output \listfiles into the latex file anymore (Lgb)
- Extracted, applied and tested Alexandre Makarenko's patch about
  better drawing of the () delimiter in mathed (Alejandro)
- AASTeX updates (Mike)
- Dutch translation team credits added (Allan)
- Fix crash when closing math panel with an open symbol menu (Allan)
- Update to DocBook support (Jose')
- Fix several crashes when entering explicit TeX macros in math editor
  (Alejandro)
- The language setting "french" already provides the index commands;
  make sure we are not including makeidx.sty in this case (JMarc)
- fix bug in environments when one of the paragraphs has specific
  settings  (JMarc) 
- fix crash when reading .eps file with a malformed BoundingBox (JMarc)
- Update to fr.po (Emmanuel)
- provide configuration example to use dvilj4 instead of dvips (in
  lyxrc.example) (Reuben)
- Better support for different shells wih different syntax under OS/2 (Arnd)
- Work around autoconf bug where it fails to detect correct arguments
  for select() with g++ 2.95 (JMarc)

since 1.0.3
- Some docbook updates. font handling (Jose')
- Add new ProvidesURL tag for textclasses which already have a \url
  definition (JMarc)
- Simplify the emergency definition of \url (when url.sty is not
  installed); URLs are now aways output as \url{...} (JMarc)
- Add binding M-i u for url-insert (Reuben)
- Fix typos in LyX-provided LaTeX macros (JMarc)
- Fix a bug where a directory could be mistaken with a regular file,
  with all the nasty consequences one can imagine; thanks to Benjamin
  Korvemaker for pointing out this one (JMarc)
- small fix to configure in the case CXX is explicitely set (Albert Chin)
- revert the `feature' that caused footnotes to appear on the wrong
  page when inside a list. This will re-activate an older bug, where 
  an enumeration inside a footnote inside an enumeration gets a wrong
  numbering. (JMarc)
- Fixed small configure bug when the CXX variable is set (Albert
  Chin-A-Young) 
- Fixed a bug in DeleteTableRow-Function (Jug)
- Fixed the evil egcs/alpha bug that has been plaguing us for some time 
  (Michal Jaegermann)
- New Italian Docs (Claudio Coco)
- Improved lyxserver: INFO or ERROR always reported in the output pipe;
  added '\n' to always terminate server messages; client names
  remembered, each client notified by name when LyX exits (Stefano)
- LyX::Client perl class for bidirectional communication in
  development/lyxserver/perl (Stefano)
- Updated wa.po (Pablo)
- Fixed problem that prints were different from previews (Jug)
- Fixed problem with multiline-cells and multicolumn, finally (Jug)
- Added also german port for g-brief (Jug)
- New Catalan translation (Francesc Burrull i Mestres)
- Added the g-brief support from Thomas Hartkens (Jug)
- Small fix in text2.C for delete-table-row (Jug)
- Preliminary support for DocBook documents (Jose')
- Support for AASTeX package (Mike Ressler)
- Some tweaks detected by Sun CC 5.0; having a picky compiler is nice...
  (JMarc)

since 1.0.3pre4
- similar changes as the one made to VSpace::NONE done several other 
  places too. (Lgb)
- New walloon localization (Lorint Hendschel)
- Fix the lyxserver, so that the answer to the 'hello' message is
  terminated by '\n' (JMarc)
- fix to VSpace::NONE in lyx_cb.C (Lgb)
- remove the gravity of the multi line input in the preamble form
  so that the scroll bar stops doing stupid things on resize (JMarc)
- fixed a LaTeX export bug when using 'Keep' and a standard skip as
  paragraph spacing (JMarc)
- updated pt.po, new pt_splash document (Pedro Kroger)
- fixed bug where the width of cells would be lost by copy-and-paste of
  a table (JMarc)

since 1.0.3pre2
- fixed a bug in LaTex.C that amde latex be run to few times in certain
  circumstances. Now latex might be run too many times, especially if 
  files are generated by exteral programs as makeindex or bibtex. (Lgb)
- Fixed a bug in no.po (Lgb)
- LaTeX::scanLogFile now reports an NO_OUTPUT error if a dvi
  file was not created. (Lgb)
- LaTex::scanLogFile now reports TOO_MANY_ERRORS if >=100 errors
  during the LaTex run. (Lgb)
- Update to revtex.cls (Dan Mueth)
- honor the LC_CTYPE locale setting (Leonid)
- fixes to math code for better 8bit support in math text mode 
  (Leonid Zeitlin)
- fixed font-default in math mode (Etienne)
- fixed cut-and-paste of included files, so that parameters are 
  correctly copied (JMarc)
- added a check for sys/types.h in configure; this should hopefully
  help compilation under HP-UX (JMarc)
- updated sl.po (Roman), it.po (Fulvio)
- removed safer_getcwd from filetools.[hC] (Lgb)
- updated OS/2 configure scripts (SMyiata)
- added new binding 'M-m ~S-quotedbl' for ddot math accent (JMarc)
- fixed dvips command line when \print_extra_options is used in lyxrc (JMarc) 

since 1.0.2
- added it.po from Fulvio Boggia (Lgb)
- search/replace patch from Daniel Naber applied (Lgb)
- New File->Import->Noweb menu entry (Kayvan Sylvan)
- fix bug affecting latex dependency tracking (Lgb)

since 1.0.2pre3
- always use absolute path in .dep files (Lgb)
- updated cs.po (Ludeck), de.po (Pit), fr.po (Emmanuel)
- small tweak in lyxserver.C to help cygwin compatibility (JMarc)
- reLyX 2.9.2.1: Added -n option and equivalent noweb2lyx executable.
  Written by Kayvan Aghaiepour Sylvan (Karger)
- fixed the appearance of the Search&Replace popup (JMarc)
- fixed a bug in search and replace where an inset would match a space;
  cleaned up LyXFindReplace1::IsSearchStringInText() (JMarc)
- fixed the reported lyxvc bug as per patch. (Lgb)
- Updates and corrections to LaTeXConfig.lyx (JMarc)
- reLyX 2.9.1.1: Windows compatible! Minor bug fixes/command additions (Karger)
- Updated sl.po (Roman); fix buglet in cs.po and es.po (JMarc)
- make configure accept the upcoming xforms version 0.89 (and 0.90) as
  OK, since TC Zhao says they are API compatible. (JMarc)

since 1.0.2pre1
- Fix bug where lyxlex keyword table for reading layout files was not
  initialized correctly; removed a few unused LT_xxx codes (JMarc)
- Fix bug where using the index feature with a AMS class would cause a
  redefinition error and cleanup the code which handles the amsmath
  package; this means that I added two new textclass tags
  (ProvidesAmsmath and ProvidesMakeidx) and used them in the ams
  classes (JMarc)
- Added a check in chklatex.ltx to get the LaTeX version; updated
  LaTeXConfig.lyx.in to explain that you should have at least
  LaTeX revision 1995/12/01. (JMarc)
- Add 'francais' as new selectable language (JMarc)
- Make sure that no extra space is added at the beginning of footnotes
  (JMarc)
- Beginning of new french documentation (PH Boinnard), update of German
  docs and new UserGuide (Pit)
- Updated de.po (Pit), fr.po (PH Boinnard), pl.po (Dzieko)
- Make sure that the font commands always toggle, independently of
  what the setting in the character popup is (JMarc)
- Correctly disable the Replace All button when document is read-only (Daniel)
- New README and INSTALL files for OS/2 and updated configure.cmd (Arnd)
- Cleaned the bibtex code and moved to Buffer (Ale)
- Citation support for multipart documents using the same old trick (Ale)
- New french documentation; currently Intro, splash and the tutorial
  examples are done.
- fix the shortcut to dots-insert in menus.bind (JMarc)
- New broadway textclass; updated hollywood textclass (Garst)
- Let LyXVC handle filenames with spaces. (Lgb)
- Fix bug where the cancel button of the version control popup did not
  work correctly (Daniel)
- Fix compilation buglet on some systems in insetbib.C (JMarc)
- Small fix to CygWin support (JMarc)

since 1.0.1
- Removed a stupid warning when loading a child buffer from its parent (Ale)
- Now parent and children buffers can share the same reference list (Ale)
- New bufferparam parentname, currently only used by insetincludes (Ale)
- updated documentation (Lgb)
- updated no.po (Lgb)
- Listing of bibtex labels from the bib file (patched by Lgb)
- Copyright dates updated in a forms/ and lyx.man. (ARRae)
- reLyX 2.9: graphics commands. Also several bug fixes (Karger)
- Fix bug when reading cross references from older documents (Jose')
- Automatically use package algorithm.sty when necessary (JMarc)
- reLyX supports \epsffile, \epsfbox, \epsf[xy]size, \psfig, \epsfig,
  but support is probably still broken (Karger)
- Various changes to src/Makefile and configure script to accomodate
  cygwin environment (JMarc)
- Updated sl.po (Roman Maurer), cs.po (Ludek Brukner),
  pt.po & pt_menus.bind (Pedro Kröger) 
- fix buglet in dinbrief.layout (JMarc)
- small fix to OS/2 configure.cmd (SMyiata)

since 1.0.1pre4
- Cleaned up Literate.lyx (MKew)
- Cleaned up Literate section of Extended (MKew & ARRae)
- Added S-C-A/E/B/F keybindings to emacs and xemacs.bind (ARRae)
- Updated toplevel OS/2 configure.cmd (SMiyata)
- fix bad line break after menu separator (JMarc)
- Pedantic version number updates in UPGRADING.
- The menu separator is displayed on screen as a triangle, like the
  LaTeX output. (Asger)
- Updated IEEEtran and latex8 entries in LaTeXConfig.lyx.in (ARRae)
- Updated OS/2 configuration scripts (SMiyata)
- New pl.po (Dzieko), pt.po (Pedro Kroger); Updated cs.po (Ludek), 
  de.po (Pit), nl.po (Ivo Timmermans), fr.po (JMarc), sv.po (Joacim)
- Splash documents for german (Pit) and polish (Dzieko)

since 1.0.1pre2
- The splash document is now loaded according to locale (i.e., if
  LANG is xx, xx_splash.lyx is searched first) (JMarc)
- Added 'replace all' functionality to find&replace popup (Daniel)
- updated de.po (Pit), fr.po (JMarc), ru.po (Victor); added cs.po (Ludek 
  Brukner)
- Added example file for literate programming (Edmar)
- Change the 'view log' function so that it shows the log of the 
  latest literate build if adequate (Edmar)
- bibitemUpdate now adds bibtex entries if there are any (provided that
  there weren't any ordinary bibliography entries).  (ARRae)
- Small fix to bmtable pixmap handling to get correct palette used and
  substitutions made.  (ARRae)
- Fix 'index last word', which did not work after a float (JMarc)
- Fiddled a bit with the definition of the menu separator (JMarc)
- Added Insert->Special Chars->Menu separator. (Asger)
- Added underline to "foot" and other marks, to make them look more
  like hyperlinks. (Asger)
- Delete autosave and emergency files if we say no to load them. (Asger) 
- Improve fix to thebibliography environment; make sure that empty
  citations give reasonable results (JMarc)
- Make the definition of \LyX use \providecommand (JMarc) 

since 1.0.0
- imported updated documentation. (Lgb)
- Fixed reported crash when we had a non-existing figure. (Asger)
- Fix bug in scrlettr class, which did not allow for several letters (Berndt)
- Make sure that the thebibliography environment never gets an
  empty argument (JMarc)
- Make sure that export->custom works correctly when file name contains
  weird characters (JMarc)
- Display a welcome document (example/splash.lyx) when LyX is run
  without an existing .lyx directory (Daniel)
- Bug fixed with dvi file export: dvi file export did not work after
  printing (or previewing) and vice versa as long as the same file was
  concerned. (Heinrich Bauer)
- Print form extended so that it now allows for specifying a range of
  pages and a number of copies to be printed (or exported as postscript) 
  (Stephan Witt) 
- Added APA textclass (Randy Gobbel)
- Added support for literate programming with noweb (Edmar)
- cleanups to FileInfo.[Ch] (JMarc)
- Fix printing buglet when only spaces are typed into the 'printer'
  input field (JMarc)
- make sure that URL use the \url|foo| form (or another character than |)
  so that one can use \verb if url.sty is not available (JMarc)
- remove extraneous space in url:s when no 'Name' is given; remove
  menu entry for HTML URL (JMarc)
- Fixed bugs with clicking.  You could not open insets unless you clicked
  on the left hand side of the button.  Similar for math insets, and other
  clickable elements. (Asger)
- Possibly chase symlinks if the binary path is a symlink to a symlink 
  to a ... to the real executable (Jan Vroonhof) 
- Cleanup the code for reading directories in the file popup (Jan Vroonhof)
- Output a warning when the user tries to insert two consecutive spaces 
  (Daniel Naber)
- fix printing when there is a space in the file name (Charles P. Wright)
- fix the slides textclass (JMarc)
- Several bugfixes for tables (Joacim)
  * cell 0 (upper left corner) couldn't be set to using linebreaks (C-Ret,
    nothing happend)
  * Certain combinations of multicol and linebreak (usually a linebreak row
    above a row with a multicol in it) gave wrong or broken output in the
    LaTeX file.
  * A linebreak cell in the last cell (lower right corner) didn't get a
    \smallskip{} at the bottom, unless the previous cells on the last row had
    linebreaks too (in that case, the last text in the last cell didn't show
    up in the LaTeX at all) ...think that is a simplification of the symptoms
    actually.
  * The cursor was jumping to the end of the text in the Extra Table Form
    popup at every insertion.
  * The fields in the Extra Table Form wasn't ::Clone()'d
- Fix crash on solaris when an url has just been inserted (Joacim)
- Add a \maketitle at the end of the document if it contains only
  InTitle layouts (JMarc)
- switched configure to use autoconf 2.13. Developpers should upgrade
  autoconf (JMarc)
- Add test in configure to determine the right casts to use in a
  select() call (JMarc)
- Fixes for creating a binary distribution. You can now specify
  PERL=none to configure if you want reLyX to output just a message 
  telling the user to adjust perl location (JMarc)
- LyX tends to crash on Linux/AXP when compiled with egcs 1.1.1; see
  INSTALL for a workaround (Jochen)
- Updated ru.po (Victor)
- Exit nicely when DISPLAY is not set correctly (Matt Power)
- Fix crash when a BibTeX inset has been copied (Allan)
 
since 1.0.0pre8
- Fixed crashes after complex cuts. (Asger)
- Update to sv.po (Joacim)
- Fixed positioning of Math Panel pop-ups. (Asger)
- Fixed click cursor positioning, so that if you click at the left half of
  a letter, the cursor will go to the point to the left, rather than
  always to the right. (Asger)
- Fixed a few bugs in the Insert->menu commands. (Asger)
- Updated PO files. (Asger)
- Small fix to stop LyX crashing when layouts etc. end with "\r\n"
  instead of the expected '\n'.  Now we work on Windows this is
  very important.   (ARRae)
- Updated fr.po (JMarc)
- updated ru.po from Victor Lavrenko <lyx@lavrenko.pp.ru>. Comments
  appreciated.
- Clarified license - COPYING (Asger)
- Tweaked mouse click policy in math insets, and in text a bit. (Asger)
- New template for revTeX (Amir)
- Add in development/ a spec file (with an accompanying README) to 
  create RPMs (Mate)
- New math function to pull out an argument, currently available by
  the backspace key. (Alejandro)
- fix the 'html type' button in url inset popup (JMarc)
- make the 'name' field in the cross reference popup disabled for LaTeX 
  documents (JMarc) 
- Update to sl.po (Roman Maurer)
- small fix to po/Makefile.in.in for non-GNU make (JMarc)
- New manpage LinuxDoc class (Jose')
- reLyX 2.8.1.2: directory bug fix (Karger)
- Fixed math accent on macros bug (applied Ettiene's patch)  (Alejandro)
- Removed a flag that hindered initialization of math array after
  another math array. This should fix the bug in most cases.  (Alejandro)
- Added optional argument to be able to insert a label without
  the dialog. Several other commands should have the same. (Alejandro)
- added some xresources settings to askForText to get l10n for the
  buttons in fl_show_input. (Lgb)
- changed MenuLabelInsert and a func in formula.C to use askForText
  instead of fl_show_input. (Lgb)

since 1.0.0pre7
- Fix problem with TOC in LinuxDoc documents (Jose')
- Change the word-* functions so that they behave similarly to emacs
  (Etienne)
- fix for unrecognised TeX error (Lgb)
- updated no.po and removed cruft from all other po files (Lgb)
- When printing, do not add a space after the \print_to_file switch
  anymore; this allows to use dvilj instead of dvips (JMarc)
- made inseturl accessible from all documents. (Lgb)
- fix to inseturl (when writing LaTeX) (Lgb)
- made inseturl editable (Lgb)

since 1.0.0pre6
- New textclass/documentclass hollywood to typeset scripts (Garst)
- New slovenian translation (Roman Maurer)
- Updates to the slides textclass and template (JohnW)
- Fix problem with extra paragraph breaks between math displayed
  equations (JMarc)
- Find&Replace now automatically jumps to the next match after doing a 
  replacement (Daniel Naber) 
- The color of newline characters on screen can now be changed via 
  the -NewLineColor option (Edmar)
- New function server-goto-file-row (Edmar)
- change the Character popup so that it remains compatible with xforms 0.81.
  The patches in forms/ have been somewhat redone so that they apply to the 
  of the 0.88.1 version of fdesign (JMarc)
- first draft of german translation of Extended.lyx (Pit)
- Fix a bug with spaces in math labels (Alejandro)
- Set the timeout for ispell to 15 seconds instead of 2 (JMarc)
- Make the update button of Insert->Cross_Reference remember what the
  current entry was (JMarc)
- fix bug where bibliography insets were not deleted when switching
  to another layout (JMarc)
- fix the change case functions which did not work (and corrupted
  memory) after footnotes (JMarc)
- fix newly introduced bug which prevented Compose key from working (JMarc)
- Added french menu bindings fr_menus.bind; not yet complete (Emmanuel) 
- Protected spaces are output as plain spaces in explicit LaTeX code (Edmar)
- Better support for Aspell (Kevin Atkinson)

since 1.0.0pre4
- fix to latex log parsing, it could discover false errors (Lgb)
- Updated menus.bind to reflect the real menu shortcuts (Etienne)
- Made the new url inset use url.sty. (Lgb)
- added url.sty to LaTeXFeatures and to LaTeXConfig.lyx.in (Lgb)
- Possible fix for the "lyxcrusher" file from Asger. (Lgb)
- Updated no.po. (Lgb)
- New (html)url inset for linuxdoc and LaTeX. References also work
  for linuxdoc now (Jose').
- IEEEtran document class added. Some documentation in .layout (ARRae)
- Brand new german documentation from Peter Suetterlin. It is automatically
  obtained from the Help menu if your LANG is 'de' (JMarc)
- reLyX 2.8.1.1: -o option, bug fixes, plus a couple new commands
- new file sv_menus.bind (Joacim)
- nl.po updated.
- changed to use fl_root instead of RootWindow (Lgb)
- some small changes to make doc++ make nicer output. (Lgb)
- Fix problem where, after search/replace or spellcheck, the font of the 
  text was not correctly kept (JMarc)
- Re-introduces styles paragraph*/subparagraph*, since they are needed for
  completeness. (JMarc)
- applied the scrollmouse patch from Mark Huang (Lgb)
- fix autosave to avoid saving when the backup file is already up to date, 
  and to avoid disabling autosave after the first try (JMarc)
- added support for footnotes in linuxdoc (Jose')
- added support for different textclasses in linuxdoc (Jose')
- fixed two table-bugs: Sometimes, documents from 0.12 would cause
  tables to be rendered wrong: They would extend far beyond the screen.
  Other times, LyX produced wrong code: empty parbox{} arguments in
  tables.  (Asger) 
- added ru.po from Victor (Lgb)
- fixed a bug in da.po (%1 used instead of %x1) (Lgb)
- fixed segfault bug in tr.po (missing items in menu string) (Lgb)
- updated no.po (Lgb)
- updated de.po (Peter Suetterlin)
- make sure the lyxlookup.C compiles under X11R4 (without compose key-handling,
  though) (JMarc)
- updated slides textclass (JohnW)
- fixed the output of <>| in LaTeX. It now outputs the caracters of the 
  \textxxx{} macros according to the encoding and font (JMarc)
- Change to display to layouts with Bibliography label so that no space is 
  used if the label is empty (for cv textclass) (JMarc)
- Renamed polish-2.kmap to european.kmap. This keyboard map should provide
  most accented characters used in european language, to be used on a 
  keyboard which lacks dead keys. (Jacek)
- Updated fr.po  (Emmanuel)
- Improved support for LinuxDoc (Jose)
- for textclass authors: \DeclareSGMLClass can now take an optional
  argument like \DeclareLaTeXClass (JMarc)
- Do not try to \protect TeX code inside of moving arguments like
  section headers; users are supposed to know what they do (JMarc)
- use LYX_DIR_10x instead of LYX_DIR_12 to specify the system directory (JMarc)
- The binding `cua' is used by default if none is specified (JMarc)
- lyxrc is no more overwritten but lyxrc.example is installed instead (JMarc)

since 1.0.0pre3
- change in formula.C to not add 2 to the width of a mathinset (Lgb)
- small change to configure to only use -lc and -lm if needed. (Lgb)
- Reverted to former no-update policy for the "Insert->References" popup
  This is to allow multipart-doc users to access the labels from a
  different document.  RefUpdateCB should be changed to handle multipart
  docs intelligently.   (ARRae)
- Tiny fix to srcdoc generation in Makefile.in (missing /) (ARRae)
- reLyX 2.8: (Karger)
  -- verbatim & \verb
  -- -h option
  -- translate math commands (e.g., \sp -> ^). Configurable.
  -- translate certain arguments to untranslatable commands as regular
     LaTeX (e.g., second argument to \rotatebox). Configurable.
  -- translate a few more simple commands + various small bug fixes
  -- kernel cleanup
- added toolbar icon for LFUN_RUNDVIPS received by mail
  from Gerhard Zintel (Lgb)

since 1.0.0pre2
- Fixes to minibuffer and lyxserver (Joacim)
- Added an \spell_command entry in lyxrc, for those who use something
  else than ispell (aspell?) as spellchecker (JMarc)
- reLyX is now installed even when perl has not been found (JMarc)
- Fixe several problems with Sun CC on solaris (JMarc)
- Added Location and Telephone styles to the letter class (JMarc)
- Update polish-2.kmap, add two swiss kmaps from Alain Borel (JMarc) 
- change `\' to be output as \textbackslash{}, instead of the esoteric
  \char`\\ which used to be there. I still do not know how to output `"'
  though (JMarc)
- a simple fix for the \centering problem, this problem existed also for
  \raggedleft and \raggedright. The fix is perhaps not perfect latex file
  output wise, but it is very simple, and should not have any other
  implications than the intended one. (Lgb)
- set the combo dropdown to do double buffering, looks a lot nicer. (Lgb)
- added a hack to ensure that the screen is updated through the 
  correct path. As far as I can se there is close to no speed penalty. (Lgb)
- updated no.po (Lgb)
- updated documentation (Lgb)
- Fixed the LaTeX generation code (paragraph.C) to support use of endfloats.sty
  and subtables/subfigures containing tables.  Fairly simple controls
  on the addition of '\n' to the output.  Further comments in code. (ARRae)
- updated fr.po, contributed by Emmanuel Gureghian (JMarc)
- fix custom export so that dvips can be used as filter (Joacim)
- fix running of background tasks under OS/2 cmd.exe (SMiyata)
- Change the behaviour of the character popup (Joacim)
- fixed a small update bug in table.C (Jug)
- made isValidLength accept negative values (Lgb)
- Fix bug inserting an index at the beginning of a paragraph (Joacim)
- Fixed the display of \mathit characters (JMarc)
- Updated LaTXConfig.lyx.in to include latex8 description       (ARRae)
- Further update of inset popup hiding on buffer switch         (ARRae)
  -- Added a HideFiguresPopups function to hide all figure editing
     popups on buffer switch.
  -- Added insetindex popup to be hidden also
  -- removed insert-figure popup from group to be hidden because it
     will correctly handle readonly buffers and buffer switches
  -- All inset popups that work on a particular instance of an inset
     (recorded by the popup) are now hidden on a buffer switch or
     read-only toggle.
- Fixed InsetInclude to hide popup if deleted -- fixes segfault (ARRae)
- Hide most/all inset popups when buffer switched               (ARRae)
  -- the contents of the popups only makes sense for the previous buffer
     and hiding the popups avoids accidental modification of a buffer
     the user can't see.
- LinuxDoc: removed support for <tscreen>, cleaned up code for generation
  of sgml, cleaned up <quote>  (Jose).

since 0.12.1pre8
- updated dependencies in src/Makefile.in (Lgb)
- fixed (partly) line breaking in LaTeX output; InsetQuotes::Latex was
  returning a number of characters instead of a number of lines 
  (ARRae & JMarc)
- da.po bugfixed and updated. (Asger)
- Now, we have both "File->Import->Ascii as Lines" and 
  "File->Import->Ascii as Paragraph". (Asger)
- Better behaviour in Version Control with changed documents. (Asger)
- Optional hyphens will not break words into two when spellchecked. (Asger)
- Using Ctrl+enter to produce empty lines in LyXCode works correctly, and
  produces an empty line rather than an error now. (Asger)
- Export as LaTeX, SGML, and ASCII won't silently overwrite any 
  files. (Asger)
- removed assignment to static variable (paragraph_id) in lyxparagraph.h
  -- assignment was already elsewhere in the code (ARRae)
- reLyX 2.7.2.1: Translate common optional args to \documentclass (Karger)
- reLyX 2.7.1.1: support \input and \include. -p option. Whitespace and
  word-wrap more like LyX. Translate commands generated by specific LyX layouts
  (e.g., \lyxaddress). (Karger)
- Changed the time of action on clicks on references, insets, math insets,
  etc., such that things won't happen until you RELEASE the mouse button,
  rather than when you press it.  This makes it much easier to select text
  close to these things. (Asger)
- added an X error handler. We should no more lose data because of
  bad X servers (or faulty X-code) (Lgb)
- Fixed bibtex database support so that it works in a temp. dir (JMarc)
- Fixed minipage LaTeX generation within floats/footnotes (ARRae)
- Added support for localized bind-files and localized documentation 
  (Joacim & JMarc)
- Fixed crash when \kbmap is true, but no keyboard map has been defined (JMarc)
- Reworded lib/lyxrc a bit, so that printer setup is hopefully easier
  to understand (JMarc)
- fixed readonly operation of dialogs (ARRae)
- fixed the new File->Import submenu so lastfiles > 4 still works (ARRae)
- reLyX 2.6.1.3: support \hfill and optional argument to \cite,plus
  several bug fixes
- Fix a problem with LinuxDoc documents, where the first character
  after an \htmlurl was lost in SGML output (JMarc)
- We had a segfault if a SGML file that did not exist was opened. Fixed!
  (Perhaps not a perfect fix, but it does not segfault.) (Lgb)
- Change the spellchecker to reject collated words like 'wellcome' by
  default. See lyxrc if you do not like that (JMarc)
- Fix the spellchecker so that it ignores text marked as LaTeX (JMarc)
- Removed some old SGI specific code which seems to hurt more than it helps 
  (JMarc)
- Augment the buffer size MAX_BUF_LEN of LyXLex to 2048 (JMarc)
- The environment variable PERL is now honored by configure (JMarc)
- Update configuration scripts for OS/2 (SMiyata)
- Work around a bug in DEC cxx 6.0. The code is at least as clear as
  it used to be, in fact (JMarc)
- Add definition of the lyxcode environment for the slides textclass (JMarc)
- reLyX 2.6.1.2: lots of bug fixes, support for BibTeX commands (Karger)
- made VSpace accept negative lengths. (Lgb)
- applied patch by carsten (Lgb)
- update of de.po (Peter)
- update of sv.po (Joacim)
- update of no.po (Lgb)

since 0.12.1pre7
- Added protection against !` and ?` ligatures in quote insets (JMarc)
- Renamed 'Advanced Editing' to 'Extended Features' and removed
  'How do I-' in help menu (John)
- Fixed menus.bind to reflect the right bindings for the Layout-Menu (Jug)
- added new commandtag layout-save-default to be able to insert the
  "Save Layout as default" menu entry to the binds (Jug)
- Small fix in table.C for segfault when reading tables converted
  with reLyX (Jug)
- Fix the display of labels, refs (all insetcommands, in fact) when
  -Mono is in effect (JMarc)
- Changed text Multi-Cell to Multicolumn in table->extra->menu (Jug)
- Fixed handling of alignment-options for multicolumn-cells (Jug)
- Added support for the new lyxrc command \relyx_command in
  lib/configure (JMarc)
- re-introduce old code in generation of list of references in
  Insert->Cross_Reference when using the oldish xforms 0.81 (JMarc)
- reLyX 2.6: better table support, \bibitem support, and bug fixes (Amir)
- Click on a ToC inset, and the ToC pop-up appears. (Asger)
- Improved logic on File Open with already opened documents. (Asger)
- Updated *.po because of menu logic number changes. (Asger)
- Fixed crashes when switching documents with open math insets. (Asger)
- Disallow include files with textclass different from the master
  document textclass (when creating LaTeX file) (JMarc)
- Fix buglet where typing Return at the beginning of a bibliography
  entry would lose the bibkey inset (JMarc)
- Added contributed polish-2.kmap keymap file (JMarc)
- Fixed bug which caused a segfault when deleting last row when
  inside a math-inset (Jug)
- Fixed a buglet in MenuNew with already open document. (Asger)
- Fixed LString static initialization problem exposed on RedHat 5.1
  causing crash on File Open. (Asger)
- Added "File->Import" menu to allow direct import of LaTeX and ASCII files.
  Requires Perl5.002 and reLyX to work for LaTeX files. (Asger)
- Fixed wrong identity string. (Asger)
- Replaced koma-script textclasses with better ones provided by Bernd 
  Rellermeyer (JMarc)

since 0.12.1pre6
- Fixed custom-export to that makeDVIOutput is called only if type
  .dvi or .ps is requested (Jug)
- Fix buglet in generation of list of references in Insert->Cross_Reference 
  (JMarc) 
- Fixed small bug in producing command for fax_program (Jug)
- Accept floats in bounding box for [e]ps pictures (JMarc)
- fix bug in mathed where an empty fraction would cause a core dump (JMarc)
- Add support for sans-serif fonts on screen in math editor (JMarc)
- Added support for 'Other' spacing in Layout->Document (JMarc)
- Hopefully made lib/configure more robust when latex could not be run
  (JMarc)
- fix crash when the paper layout popup is closed from the window manager 
  (JMarc)
- Newly created notes are now empty (JMarc)
- Fixed bug with appendix and table of contents (Matthias)
- added support for multiple packages in \DeclareLaTeXClass for classes that
  need some packages. See for example latex8.layout (JMarc)
- added Latex8.cls support -- IEEE conference papers (no docs yet) (ARRae)
- minor fix to eliminate a "warning comparison of enumeral and non-enumeral
  types" in math_inset.C   (ARRae)
- attempt to reduce possibility of warnings when closing splashscreen
  with the window manager (made it FL_NOBORDER and 7secs)    (ARRae)

since 0.12.1pre5
- table-header changed from multicol4 to multicol5 as there
  are changes in the save-format (Jug)
- fixed bug with multicolumns and header p{} (Jug)
- fixed bug in LaTeX-minipage output (Jug)
- fixed bug in production of \parbox in last table cell (Jug)
- added support for User-defined table-headers (Jug)
- added support for User-defined multicolumn-definition
  also the width of multicolumns can now be specified extra
  in the Width-Box (Jug)
- \footnote[mark][text] only used for list-like environments   (ARRae)
- Open bibitems with C-o (open-stuff) at the beginning of a paragraph
  (Matthias)
- reLyX 2.5.2.3: Read .lyx/syntax.defaults if possible; always use TeX mode,
  never LaTeX layout, for untranslatable text (Karger)
- Newlines marked as TeX are no longer output as \\ (JMarc)
- LaTeX generation cleanup 
  -- extracted common code into separate functions to improve maintainability
  -- fixed a font generation bug as a result                      (ARRae)
- LString::srep empty_rep static initialisation fixes (ARRae)
- small speedup of LaTeX generation (about 3%) (ARRae)
- small cosmetic change to LyXTextClassList::load() (ARRae)
- update de.po (Peter)
- reLyX 2.5.2.2: syntax files now contain "regular environments", and -s option
  causes reLyX to read multiple (e.g., user-defined) syntax files (Karger)
- really fix (??) the tendency of lib/configure to nuke useful files and
  provide a usable packages.lst when LaTeX cannot be run (JMarc)
- fixed bug with newlines in tables (Juergen)
- layoutchoice is now updated at one, you don't have to move the
  cursor or the mouse to make it update anymore (Lgb & patch posted to list)
- small changes to the lyxvc code, now has default log msg. (Lgb)

since 0.12.1pre4
- also the check to hindre latex runs if there are gs' running 
  has been disabled, it did't work anyway. (Lgb) 
- new try for a closing to the gs render problem, SIGCHLD removed. (Lgb)
- os2 files updated
- reLyX 2.5.1.1: one major and some minor bug fixes (Karger)
- reLyX 2.5: read in LaTeX command syntax plus bug fixes (Karger)
- Added appendix support from Matthias. No menu or doc for now (use the
  `appendix' function to toggle) (JMarc)
- Added textclass ejour2 for Springer Journals from Martin Vermeer,
  heavily modified by me; added corresponding documentation to
  AdvancedEditing.lyx and LaTeXConfig.lyx  (JMarc)
- Small fixes here and there (JMarc)

since 0.12.1pre3
- Fixed the behaviour of theorem-like environment in the LaTeX output;
  updated Foils.lyx accordingly (JMarc)
- Extended the syntax of LatexParam in layout files, so that arbitrary
  fixed arguments can be given. Updated foils.layout accordingly
  (JMarc)
- Tried to make the documentation of layout files in Customization.lyx
  a bit better (JMarc)
- Fixes to sgml support from Jose (JMarc)
- A few code changes in figinset.C (bad debug statements), lyxlex.h,
  math_parser.C and vspace.h (warnings) (JMarc) 
- New dinbrief.layout from Carsten Kaemmerer & Jürgen (JMarc)
- Fixed hiding of invisible form_title (ARRae)
- Fixed corrupt layout segfault,
  reverts to article and gives a warning. (ARRae)
- linuxdoc: Added more character-symbols to output (Bernhard)
- linuxdoc: use latex-preamble as linuxdoc-preamble (Bernhard)
- linuxdoc: problem solved, for NULL-ptr (Jose Abilio)    
- Duplicated rom for math macros. (Alejandro)
- Improved math parser error messages function. Better messages, and
  updates lyxlex line number. (Alejandro)
- Fixed bug reading accented undefined names. (Alejandro)
- Fixed two bugs in layout files handling (JMarc) 
- Fixed a typo in the hu.po translation file below (JMarc)
- reLyX 2.4: Table support! (Also accents and center/flush[right|left])(Karger)
- Added Hungarian translation and binding file, supplied by Kadar
  András <kadara@eik.bme.hu> and Krémer Péter(JMarc)
- Fixed Insert->Index in menus.bind (JMarc)
- Fixed Layout->Document so that the font size and page headings lists
  are refreshed correctly when switching class, as reported by Kalle
  (JMarc) 
- Updated a but Customization.lyx about layout files parameters
  (JMarc)
- Added new landslide.lyx example, provided by Kimmo Koli (JMarc)
- Changed a bit the citation and index insets, so that the popups are
  closed only when *their* inset is deleted (JMarc)
- Fixed a color problem when using a private colormap (JMarc)

since 0.12.1pre2
- minor doc updates to Tutorial, UserGuide, and Introduction (Karger)
- reLyX 2.3.1.1: lots of bug fixes and support for -c option (Karger)
- New textclasses for koma-script package created by Bernd K"ummerlen
  <bkuemmer@ix.urz.uni-heidelberg.de> (JMarc)
- New tag \screen_font_popup in lyxrc, which has the meaning of the
  existing \screen_font_menu; the semantic of the later is changed to
  *really* apply to menus (JMarc)
- Fix to lib/configure: works when LaTeX is broken (JMarc)
- Fixes to configure: recover when perl is not found; add a
  replacement for atexit on SunOS (JMarc)
- Fix to src/Makefile.in: changed the order of libraries and added a
  missing $(LIBOBJS) (JMarc)

since 0.12.1pre1
- SGML-buglet fixed, causing errors in sections with [] and {} (Bernhard)
- inserted redraw after SGML-processing, such that error-boxes will be seen
  immediatly (Bernhard)
- added Buffer::redraw() for screen-update (Bernhard)
- Fixed a bug regarding the insetbib-popup causing a crash if the inset was
  deleted while the popup was active, same for insetcitation and
  insetindex. (Joacim)
- Changes to the documentation, re the numbers of undo-levels (Joacim)
- A few more _()'s (Joacim)
- Fixed the makepatch command and *really* re-added the reLyX.in
  wrapper :-( (JMarc)
- Fixed(?) problem with bibliography item number broken after 127. Now
  the limit is 255 (JMarc)
- Fixed problem with character Ł in encodings other than latin1
  (JMarc)
- Removed the CommandTitle tag in layout files and added new tag
  InTitle (JMarc)
- Cleaned up ams layouts, so that Abstract works, among others (JMarc)
- re-added the new reLyX wrapper, which got lost ; added reLyX
  installation in binary distributions (JMarc)
- Fixed the behaviour of Static labels in theorem-like environments ;
  at least now what you get on screen is consistent with what you get
  on paper ; fixlet to foils.layout (JMarc)
- Patch by ARRae for missing paragraph breaks in environments (JMarc)
- reLyX 2.3: reads layouts from LIBDIR/layouts/ (Karger) + buglet (JAMatos)
- reLyX 2.2.3.1: -r and -t to handle unknown environments + buglets (Karger)
- reLyX 2.2.2.1: -d (debug) + some bug fixes (Karger)
- reLyX has a man page! (Karger)

since 0.12.0
- fixed a bug regarding melt and added an entry in the reference manual for
  melt (Joacim)
- fixed a few cosmetic bugs in the GUI (Joacim)        
- Modified the way dvips is called in File->Print. NOTE THAT YOU WILL
  HAVE TO FIDDLE WITH LYXRC TO PASS THE PRINTER NAME TO DVIPS. This is
  the price to pay to have it work on mis-configured systems (JMarc)
- You can now override the LYX_LIBS variable to make a binary
  distribution of LyX with static libforms and libXpm. (JMarc)
- Fixed bug in reLyX installation and textclass.lst generation (JMarc)
- Fixed problem with inline when not using gcc (JMarc)
- Fixed some warnings reported by SGI CC (JMarc)       
- Fixed some problems for the \hlines in longtable-header/footers (Jug)
- endess-loop by converting layouts to linuxdoc belonging to references
  killed (Bernhard)
- extra parameter for Buffer::GetNextParameter. Now it's possible to
  change the convertion behaviour of single characters depending on the
  layout. (Bernhard)
- New wrapper reLyX.in (JMarc & Karger)
- Fix a bug in lib/configure, where files are deleted by mistake
  (JMarc)
- Updates to WHATSNEW, INSTALL, UPGRADING and BUGS.lyx (JMarc)
- configure also checks for the C++ compiler xlC (JMarc)
- reLyX 2.2.1.1: Bug fixes + added abstract environment (Karger)
- added typecasts to unsigned char for arguments to ctype-functions, to
  fix problems regarding locale+ctype on Solaris2.5 (Joacim)
- added a help text for melt (Joacim)
- new wrapper around reLyX generated by autoconf (Amir & JMarc)
- moved reLyX to lib/ and modified Makefiles for installation and
  binary distribution (JMarc)
- Fixed problems with determination of LyX library dir (JMarc)
- Fix buglet with fonts ; fixed buglet with installation of .mo
  files. (JMarc)
- Updated `problems' section of INSTALL (JMarc)
- use g++ for compilation if this is possible (JMarc)

since 0.12.0pre8
- Fixed bad placed cursor after pasting bug in math mode. (Alejandro)
- Prevented some problems from missing arguments of LyX functions
  in math mode, in some cases only correct arguments are used. (Alejandro)
- More math array metrics problems fixed, specially for 1 column
  matrices.  (Alejandro)
- reLyX v2.2. Updated from pre-alpha to alpha (Karger)
- CleanTeX is now called from reLyX, not a separate program (Karger)
- new very basic fr.po file submitted by Emmanuel Gureghian (JMarc)
- .mo files are not installed under the same name as LyX
  (i.e. lyx$(program_suffix) (JMarc)
- reLyX added to the bindist target (JMarc)
- Update of de.po (Peter)
- New subsection in Customization: Menu shortcuts for alternative 
  languages. (Peter)
- Menu shortcuts file menus_de.bind in lib/bind (Peter)
- Fixed warnings about casting pointers to int on 64bit architectures
  (JMarc)
- Fixed compilation problems with DEC cxx (JMarc)
- add support for environment variable LYX_LOCALEDIR (JMarc)
- rewrote README.bin.example (JMarc)
- Remove the bogus 'lp' default in Print popup ; use the name of the
  printer when printing to file (JMarc)
- Fixed the order of the entries in the Insert->Float submenu (JMarc)
- Removed the 'M-c i' binding. (JMarc)
- Fixed the reference to sgml-tools in AdvancedEdit.lyx ; fixed
  (again) Intro.lyx (JMarc)

since 0.12.0pre7
- small change in iletter.tex (Jug)
- fixed the fontchange in the Table-Layout that it returns to
  FL_BLACK if the buttons are activated (Jug)
- fixed update-bug in Layout-Table (Jug)
- fixed the input fields for lengths in PaperLayout and TableLayout
  with the above function. BLANK-chars are now striped so the error
  should occur again (Jug)
- Updated ANNOUNCEMENT. (Asger)
- Updated BUGS.lyx. (Asger)
- Fixed small problem with floatflt: It does not take positional arguments.
  (Asger)
- Fixed problem with filenames.with.dots.in.them. (Asger)
- Fixed italics and small caps in all docs (JMarc)
- Fixed some annoying vertical navigation bugs of math arrays. (Alejandro)
- Fixed metrics bug with 1x1 math arrays. (Alejandro)
- No more void \labels with equations. (Alejandro)
- Removed "copy a void array" error message. (Alejandro) 
- many small bug-fixes to below-mentioned reLyX (Karger)
- Fixes suggested by Jmarc, plus italic->emph change, in Tutorial (Karger)
- added check for X11 availability in configure ; improved the various
  error messages (JMarc)
- nuked the nonfeature 'swap Y<->Z' from Options->Keyboard and docs (JMarc)
- fixlets to the documentations (JMarc)
- added close handler to table_options forms (JMarc)
- fixed the LaTeX output routines so that the length of insets is
  taken in account (JMarc)
- Changed the double keystroke deadkey behavior (alkis)
- Updated de.po (Peter)
- Small changes to AdvancedEdit (section aapaper) (Peter)
- sort of working, most probably buggy, pre-alpha reLyX (Karger)
- mentioned reLyX in Tutorial and User's Guide "LaTeX Users" chapters (Karger)
- Added short description of comment environment. (Asger)
- Fixed problem of pasting the wrong place. (Asger)
- Made LyXServer a bit more robust: Ignores end-of-line markers and empty
  requests. Will hopefully prevent crashes. (Asger)
- Updated BUGS.lyx. (Asger)
- Included OS/2 info for LyXServer in Customization. (Asger)
- Fixed crash with file-browser on directory without read-permission. (Asger)
- Changed default pasting mode with middle button to "as paragraphs". 
  Hopefully fixed crashes with this on too. (Asger)
- improved index entry insertion (menu support and minibuffer arg) (CFO-G)
- added documentation in References.lyx for index entries and printing (CFO-G)

since 0.12.0pre6
- some updates to the docs (JMarc)
- chkconfig.ltx warns that detection of ec fonts may take a long time
  (JMarc)
- simple workaround for problems with LyXCode and spaces (JMarc)             
- fixed bugs in the production of LaTeX code for the ExtraParagraph
  stuff (minipages & indented text) (Jug)
- fixed the wrong <Hot-Key> in the Fax-Form (Jug)
- fixed (hopefully) the problems with Standard-Paragraph in higher
  depth in a list-environment (Jug)
- some fixes with the letter-layouts (added the stdlists.inc)
  and templates (fixed iletter.*) (Jug)
- added new example file Minipage.lyx (Jug)
- Cleaned up BUGS.lyx (CFO-G)
- bugfix for linuxdoc: problem with wrong path leading to 
  ununderstandable error-messages while generating dvi- or postscript-
  output (Bernhard)
- options changed for SGML-tools 1.0.*-compliance. We will get
  trouble now for linuxdoc 0.99.*/1.5! (Bernhard)
- fixed a bug with drawing of caption lables, and noindented text
  in floats. (Lgb)
- added minimal size on the main window. (Lgb)
- small changes to lyxfunc, so that perhaps backspace will work better (Lgb)
- installed new banner and icon (JMarc)
- fixed Intro.lyx so that it is LaTeX-able (JMarc)
- replace 'Reference guide' with 'Reference manual' everywhere (JMarc)
- fixed problem with po/Makefile and SGI make (JMarc)
- fixed reading of labels with spaces in LyX 0.10.7 files (JMarc)
- fixed the vertical resize repaint problem (*phew*) (Joacim)
- Fixed bug when switching documents, one of them in math mode. (Alejandro)
- Fixed bad width of a math array. (Alejandro)
- Frac now behaves more like LaTeX (for the limits problem). (Alejandro)
- bugfix to gettext.m4, which dod not recognize an installed gettext !
  Thanks to Joacim Persson for pointing this out (JMarc)
- minor bugfix in the clean and distclean targets of Makefile.in (JMarc)
- minor updates of aapaper and de.po (Peter)
- spellchecked all docs and examples (CFO-G)
- Fixed repaint problems. (Asger)
- Small stuff. (Asger)

since 0.12.0pre5
- small change to SpecialTools.lyx. used \chapter* for Introduction. (Lgb) 
- doc bugfixes ; SCO configure bugfixes (JMarc)
- Fixed crash after erroneous "font-size default" command. (Asger)
- Fixed "Insert LyX file" to ignore buffer-parameters. (Asger)
- Continued updating Customization: Cleaned up the I18N section. (Asger)
- Fixed ruined Special Tools. (Asger)
- A few cosmetic changes in LyXServer. (Asger)
- Updated Customization: Clean-ups, finished description of font setup,
  updated description of LyXServer and moved it to Special Tools. (Asger)
- Renamed lyxrc command \update_statusbox to \display_shortcuts. (Asger)
- Rewrote LyXServer: Use LString all over. Made robust LyXComm class.
  Added -dbg 8192 to debug LyXServer. (Asger)
- Cleaned up the example development/server_monitor.c. (Asger)
- Merged LyXVC.lyx into Special Tools. (Asger)
- Updates in User Guide. (Asger)
- I most have been drunk when I implemented the label name escaping.
  Several problems were fixed and I've changed it to be kind of MIME-ish. 
  The thing should work now. (Asger)
- Fixed bug of parsing spaces at the end of a line in math arrays  (Alejandro)
- Now it's possible to put any math symbol on the toolbar (Alejandro)
- increased some buffersizes in lyxserver. (Lgb)
- replaced the #if 0 gettext stuff in lyxfunc with N_() (Lgb)
- Added po/README with information on how to update a po file. (Asger)
- Updated da.po, no.po (Asger, Lgb)
- BUGS.lyx updated. (Asger)
- Better handling of errors with FilePtrs - fixes reported bug
  with "lyx non_existant_directory/test.lyx". (Asger)
- Fixed miscoloring of InsetCommand's in TeX mode. (Asger)
- Fixed size calculation of menu labels, and added a bit more space to
  make it look a bit better. (Asger) Fixed it. (Lgb)
- Fixed missing progress of spellchecker progress meter. (Asger)
- Make LyX use "\pounds{}" instead of "Ł" in LaTeX output. (Asger)
- Make LyX escape problematic characters in names of labels rather
  than forbid them. (Asger)
- Make LyX handle error situations after "spellchecker running" or "rendering"
  nag-boxes better, including when sending faxes. (Asger)
- Changed definition of a LyX filename from files ending with ".lyx" or
  ".lyx#" to files containing ".lyx". This makes it possible to open
  "LaTeXConfiguration.lyx.in" again. (Also for SGML files.) (Asger)
- A few small things. (Asger)

since 0.12.0pre4
- nl.po added, fi.po updated
- tiny bug in de.po fixed (Lgb)
- small update to LaTeX.[hC] to make it possible to use natbib.sty. (Lgb)
- fixed a stupid bug in lyxvc.C (Lgb)
- removed all trace of the old `make depend' target (JMarc)
- compose key handling is finally working ! Well, in fact, it works on
  my machine...(JMarc) I fixed a couple of in the compose code, and made
  it work as it has used to concerning deadkeys. (Lgb)
- added basic support for \part and \part* (no automatic numbering
  though) (JMarc)

since 0.12.0pre3
- updated de.po and cleaned-up shortcuts (Peter)
- small changes in aapaper.layout: Some wrong indentations, take out 
  stdstarsections (Bibliography now in stdstruct)(Peter)
- Replaced the shortcut for OK in lyx_sendfax.fd with #O (Joacim)
- argument to moveCursorUpdate bool instead of int (Joacim)
- fixed a "foreverbug" with the title form. (Lgb)
- LyXVC::showLog now works as it should (Lgb)
- The cursor is now updated when running some of the insertion commands. (Lgb)
- when inserting single chars the undo info is stored for
  every 20th character (Lgb)
- More pragmas added, this showed a "bug" functions declared but
  never defined. (Lgb)
- Some small cleanup related to commented code. (Lgb)
- Updates to Customization.lyx, Tutorial.lyx, ABOUT_NLS and
  INSTALL.autoconf (JMarc)
- Show LyXDir and UserDir in Help->Version (JMarc)
- Fix the order of menu items in Insert->Lists & TOCs (JMarc)
- Fix the problems in Makefiles reported by Juegen (JMarc)
- Cleanups in lyxlookup.[Ch]. Still does not work (JMarc)
- fixed handling of file in subdirectories for includeinsets (JMarc)
- `fixed' behaviour of Font tag in layout files by adding a new tag
  TextFont (JMarc)
- bugfix in configure (JMarc)
- updated a bit Customization.lyx, BUGS.lyx and INSTALL (JMarc)
- visual cleanup of the Find&replace dialog (JMarc)
- quick fix for a bug regarding "options:" in the minibuffer in combination
  with gettext (Joacim)
- "case insensitive" and "complete word" search in form1, lyxfr0, lyxfr1 (HB)

since 0.12.0pre2
- Increased the time short-cut keys are displayed in minibuffer 
  from 4 to 6 seconds. (Asger)
- Increased LyXLex buffer to avoid warnings when viewing
  the user guide. (Lgb & Asger)
- Small fixes in a few doc files. (Asger)
- Added partial Danish translation file da.po. (Asger)
- Fixed Cursor-Down Bug in tables (as reported) (Jug)
- Fixed a bug in producing code for minipages (Jug)
- got toggle-user-defined-style button working, and fixed the bug with the
  Apply-button in Layout-->Character Removed an unused parameter for
  lyx_cb.C:ToggleAndShow and LyXText::ToggleFree (Joacim)
- Added foils documentation to Special Tools [foils.cls v2.1]. (ARRae)
- Extended the Foils.lyx example file (ARRae)
- Fixed up the foils.layout file to match foils.cls v2.1 output (ARRae)
- Fixed the "too many '\n' at end of an envirnment" problem that caused
  the [] at the end of a Proof environment to be on the wrong line (ARRae)
- Fixed up cursor movement so floats, insets and hfills are treated
  as words. (ARRae)
- Added two bug reports to BUGS.lyx since they are unlikely to be fixed
  before 0.12 (ARRae)
- Moved Bibliography from stdstarsections.inc to stdstructs.inc (ARRae)
- added a missing break in LyXFunc::Dispatch (did you wonder where those
  strange paragraph documents came from?) (Lgb)
- the cursor is now updated after each character(-group) inserted into
  the document. (Lgb)

since 0.12.0-pre1
- Changed the name of the dependencies file to <file>.dep, this fixes
  a bug when \use_tempdir false, or when a document is renamed. (Lgb)
- Now limits should work in LyX as in LaTeX, as expected. (Alejandro)
- (temporary) fix for deadlock between MenuRunLaTeX vs ispell and gs (Joacim)
- changed the default default papersize to usletter ; some clean up in
  dvips and xdvi paper handling (JMarc)
- fixed accented `i' in latin1 and latin2 encodings (JMarc)
- lib/configure ignores environment variables like LATEX or GS (JMarc)
- updated BUGS and BUGS.lyx (JMarc)
- added a word count to the spellchecker. As requested. Not error prone. (Lgb)
- po file for german (de.po) added (Lgb) (made by Peter Metternich)
- improved a bit the `bindist' target of the makefiles. (JMarc)
- improved(?) compose key handling (JMarc)
- fixed the problem with ON/OFF in LyXFont (JMarc)
- xforms-81 + gcc-2.6.3 compatibility (ARRae)
- Bullet Selection now checks libXpm version and WriteAlert()'s
  This should stop those pesky Slackware-induced segfaults (ARRae)
- Fixed (or at least limited) a segfault when deleting insets (ARRae)
- small fix to LString == and != and LString=(char) (ARRae)
- fixed a bug in figinset.C regarding the Subfigure radio button in the
  figure form. It was impossible to unset Subfigure. (Joacim)
- thereby the problem with the inlined moebius.ps in 4.4 in
  UserGuide.lyx could be solved. (Joacim)
- cured a couple of forms from the vi-syndrome (forms with input fields
  that have widgets with plain keys as shortcuts, making it impossible to
  input those keys in the input fields) (Joacim)
- added a section in Chapter 5 in Customization.lyx about translating
  LyX (Joacim)
- Fixed Export to DVI to save in current directory. (Asger)
- Changed default background color from "bisque" to "LemonChiffon1". (Asger)
  o switched again to "linen" (Lgb)
- A few small things. (Asger)
- Fixed spellchecker to send ' and escape chars to ispell. (Asger)
- fixed a bug in src/gettext.h ( N_() )  (Joacim)
- used the fixed N_() to replace the ugly kludge LyXFont::setGUINames with
  something less kludgy (that actually works in non-english versions too ;)
  This method should be used for similar strings in lyxfunc.C (can wait
  till 0.13) (Joacim)
- implemented new code for input methods handling in lyxlookup.[Ch] (JMarc)
- fixed the bindist target of Makefile (JMarc)
- small fix in LString.[Ch] when const is broken (JMarc)
- The user directory is not ~/.lyx/ but rather ~/.$LYX_NAME/, to allow
  different versions of LyX to coexist (JMarc)
- Updated a bit UserGuide.lyx and lyxrc (JMarc)
- small fix to letter.layout (JMarc)
- the warnings of makedepend are now sent to the wastebasket (JMarc)
- fixed problem with expr in configure (JMarc)
- fixed small logic error in InsetInclude, reported by SMyiata (JMarc)
- Closed four holes in read-only protection with respect to the
  minibuffer (CFO-G)
- Disabled replace input for search-replace on read-only buffers (CFO-G)
- Fixed bug with math accents reported by Jean Marc. (Alejandro)
- Fixed bug about writting math macros with argument and cutting at 
  the rigth edge of a row bug, both reported by David. (Alejandro)
- Expanded to a reasonable limit the macro table. (Alejandro)
- Wrote Math Chapter for Tutorial (+ other small Tutorial changes) (Karger)
- Math additions to examples/example_{lyxified|raw}.lyx (Karger)

since 0.11.53
- small change/fix in lyxvc. Will be finished in 0.12pre (Lgb)
- configure now checks for X11/forms.h (JMarc)
- fix for configure not finding forms.h on broken HPUX systems (JMarc)
- small fix to amsart.layout (JMarc)
- small updates to UserGuide.lyx, INSTALL and Makefile.in (JMarc)
- Added functions listbox in math panel.  (Alejandro)
- Fixed some bugs related with mouse selection. (Alejandro)
- Fixed a couple of bugs of \frac. (Alejandro)
- rewrote aapaper.layout to use standard includes, removed double 
  Inputs in paper.layout  (Peter)
- Mentioned aapaper in UserGuide, fixed some typos (Peter)
- added *.gmo and *.swp (swap files for vim) to the list of patterns for
  files not to include in patches with makepatch (Joacim)
- following a ref no longer pushes an Undo onto the stack, this fix is a
  kludge - see BufferView.C (Joacim)
- GUI*Names in lyxfont.C made accessible by gettext (Joacim)
- cleaned up in forms/, fixed the patchfiles and added a shortcut for
  "Use AMS Math"  (Joacim)
- fixed bug with no shortcuts for lastfiles (Joacim)
- fixed the newly-inserted-footnote segfault (ARRae)
- renamed toc-update to toc-view and updated References to match (ARRae)
- more bullet stuff in SpecialTools (ARRae)
- more stuff in References (ARRae)
- added toggle-cursor-follows-scrollbar lyxfunc (ARRae)
- Fixed form1 borderwidth (ARRae)
- Changed "Documents" menu keybindings in menus, cua, emacs (ARRae)
- Added/fixed several key bindings in menus/emacs.bind (ARRae)
- Added xemacs.bind which also has AucTeX and HM--HTML bindings (ARRae)
- Updated Reference.lyx for several keybindings/functions (ARRae)
- Updated SpecialTools.lyx bullet-related entries (ARRae)
- Fixed small bug with handling of some bullet shapes (ARRae)
- Added checking of ob->spec in bmtable.C (ARRae)
- Fixed call to isReadonly() in bullet_forms_cb.C (ARRae)
- Improved checking for isLinuxDoc() in bullet handling (ARRae)
- Made "Cancel" and "Copy" correctly cancel selections when mark-on (ARRae)
- Completed \LyX{} translation in typewriter-mode mods by dlj (ARRae)
- Stopped insertion of marginpars in minipages (ARRae)
- UpdateAllVisibleBufferRelatedPopups() added, supports most popups (ARRae)

since 0.11.52
- fixed bug regarding input of regular text in readonly math mode. (Joacim)
- bugfixes for undo/redo in math mode (Joacim)
- made a few more insets readonly-aware (Joacim)
- Fixed Figure pop-up, including adding % of column width (CFO-G)
- Menu insertion of floats and ASCII files now goes through Dispatch,
  fixing read-only modification bugs (CFO-G)
- Fixed previewing of documents at sites where A4 is not the default
  papersize in LaTeX by adding a lyxrc entry for the real default size (CFO-G)
- Updated doc for A&A: \thanks, columns (Peter)
- Some fixes to please DEC cxx and gcc 2.6.3 (JMarc)
- small spell checking and fixes to the A&A layout below (JMarc)
- fixes to the amsart layout (JMarc)
- Added layout for A&A paper with example, template and documentation
  in SpecialTools.lyx (Peter)
- small fix regarding readonly-mode: AutoSave(), Figure insets. (Joacim)
- Added bindings to reference-goto and reference-back in emacs
  and cua. (Alejandro)
- Completed mouse selection (but not necesarily bug-free). (Alejandro)
- LaTeX validation in Mathed side. Only used macros are expanded. (Alejandro)
- Now LyX is not marked dirty if open or selected a math box.  (Alejandro)
- Fine tunning math selection and mouse positioning. (Alejandro)
- Fixed most (all?) of the places where read-only files could be
  modified (CFO-G)
- fixed a ro bug in insetinclude. (Lgb)
- fixed resize bug. (Lgb)
- Fixed bugs in insetinclude with relative filenames; fixed output of
  'nice' included files (JMarc)
- finer detection of xforms versions in configure (JMarc)
- removed use_amsmath in lyxrc (JMarc)
- Fixed up TexRow::operator+= so it doesn't reverse the added list (ARRae)
- Fixed up MathAccentWrite so characters are correctly written (ARRae)
- Small additions to UserGuide, Special Tools and Foils example (ARRae)
- Small fix/addition to footnote handling (ARRae)
- Added "Go to Reference" button in "Insert Reference" form. (Alejandro)
- Added "Use AMS-Math" check button in Layout->Document form. (Alejandro)
- Removed third parameter from lyxfunc::Dispatch. Added 
  lyxfunc::setHintMessage(bool) instead. (Alejandro)
- Partially implemented mouse selection in math mode. (Alejandro)
- Modified read-only protection so that all layout and figure forms can be 
  viewed but not modified (CFO-G)
- Modified read-only protection so that documents can be spellchecked,
  but the spellchecker can't modify the buffer (CFO-G)

since 0.11.51
- Scrollbar now resized correctly when closing last buffer (ARRae) 
- fixed segfaults in LyXParagraph::{SetOnlyLayout(),SetLayout()} (ARRae)
- replaced several "" with LString() or .clean() (ARRae)
- Cleaned up Juergen's TableExample.lyx (ARRae)
- writeFileAscii() now puts "References" above bibliography (ARRae)
- Small updates for Customization.lyx and References.lyx (ARRae)
- Small additions to menus.bind: four FoilTeX entries (ARRae)
- Speed improvement in LyXParagraph::BeginningOfMainBody() and
  LyXParagraph::getFont(int) and LyXText::GetFont(...) (ARRae) 
- Fixed the "enumeration in a footnote in an enumeration" problem.
  Required the three other changes listed below (ARRae)
- Made makeLaTeXFile() and the other TeX producing methods use
  LStrings and fwrite to generate the LaTeX file. (ARRae)
- Supercharged the LString operator = and += methods (ARRae)
- Added TexRow::operator+=() (ARRae)
- Made TexRow::reset() iterative instead of recursive (ARRae)
- fixed some of the bugs in readonly-mode, more to do (Joacim).
- Expanded and fixed AMS layouts (dlj0, with help from gureghia and Jean-Marc)
- Fixed cursor's bad position at new display inset inside text. (Alejandro)
- New rc variable and buffer param: use_amsmath. If true, the
  package amsmath will be automatically included unless an ams
  class (amsart, amsbook) is being used. This also prevents
  from expanding predefined math macros.                       (Alejandro)
- Support for pseudoactions in lyxaction.getActionName. At the same
  time, the bubble help and the new statusbox (why this name?) works with 
  pseudoactions. (Alejandro) 
- Removed xforms drawing functions from formulaMacro. (Alejandro)
- Fixed misfeature with accented macro names (mathed). Now it's
  possible to accent other insets. (Alejandro)
- "reference-goto" jumps to the correct position. (Alejandro)
- Changed \i, \j to \imath, \jmath in math_symbols, as must be. (Alejandro)
- Optative display of symbol names when are inserted by the
  math panel. Currently works if update_statusbox is true. (Alejandro)
- Math menus use lyxfunc to allow hint message, if enabled.  (Alejandro)
- Added support for two-column floating figures and tables. (CFO-G)
- Fixed minibuffer input of floats. (CFO-G)
- Made "status-box" handle arguments better. (Asger)
- Fixed layout selection, such that it appears in status-box. (Asger)
- Removed extremely annoying 1 second pause after each menu-command. Instead,
  improved display of it. (Asger)
- Added more space around inset-buttons to make the cursor visible. (Asger)
- Added "scgen.pl" again. (Asger)
- Filter out 8-bit characters from labels. (Asger)
- Make "Insert Citation" and "Insert BibTeX" show form automatically
  when appropriate. (Asger)
- Made default background color "bisque". (Asger)
- Got rid of "help.[Ch]" and "StatusBox.[Ch]". (Asger)
- Finetuned "statusbox": Merged into minibuffer, removed separate statusbox,
  and don't display when commands are entered by key. (Asger)
- "self-insert" accepts several characters now. (Asger)
- Improvements in minibuffer behaviour. (Asger)
- Fixed up "Insert LyX file" and added it to the Insert menu. (Asger)
- scgen.pl improved to make prioritized guesses, and speeded up. Characters 
  at the beginning of a word are preferred to characters inside a word. (Asger)
- Fixed crashes with commands that aren't allowed when no document is 
  open. (Asger)
- fixed (I hope) autosave and writeFile bug (Lgb)
- more imporvements to cursor blink (Lgb)
- some small changes to minibuffer and lyxfunc. (Lgb)
- fixed arg<->argument bug in lyxfunc. (Lgb)
- fixed bug in toolbar (regarding toolbar-add-to) (Lgb)
- Introducing development/tools/scgen.pl (Joacim)
- fixed a bug regarding certain minibuffer messages not staying visible
  long enough (Joacim)
- fixed bug with LyXFunc::Dispatch: crash on toolbar-add-to with no args
  (still crashes deeper down with *valid* args though)  (Joacim)

since 0.11.50
- showstopper bug in combox.C (uninitialized variable) fixed. This was
  a bit strange since it only showed when LANG=no. (Lgb)
- fixed bug regarding defaultbindings. (Lgb)
- added some more errorchecking when making a backup copy. (Lgb)
- All menu shortcuts works now (in English). (Joacim)
- Most of the dialog shortcuts too. (only two buttons in file dialog that
  are set in LyXFileDlg::SetButton(), and parts of the layout->table dialog
  remains.)  ...in English only. (Joacim)
- Implemented small status window that informs about short-cuts. You can
  turn it off with a "\update_statusbox false" lyxrc directive. (Asger)
- Added "Ordinary Quote" to Insert->Special Characters... (Asger)
- Added a bunch of keybindings for menus. (Asger)
- Fixed short-cut for "Insert->Cross-reference...". (Asger)
- Fixed crash in connection to Error insets. (Asger)
- Fixed crash when .lyx does not exist. (Asger)
- Clear paragraph environment combox when no document is open. (Asger)
- Updated info about ispell in User Guide, i.e. making a symlink between 
  deutsch and german dictionary files. (Asger)
- Updated and extended "Customization". (Asger)
- Updated all documents after ChkTeX runs. (Asger)

since 0.11.49
- Changed AskQuestion to use i18n-strings on the button labels. (Joacim & Lgb)
- Configure now detects the version of your xpm.h headers. changed a
  bit the messages for xforms versions (JMarc)
- The automatic LyX-->\LyX{} conversion is disabled in typewriter
  font. (JMarc)
- Added a part on configuration files in Customization.lyx (JMarc)
- Added validation for math macros. If a predefined macro is used 
  (currently only \binom and \boldsymbol) in a non-AMS class,
  the macro is defined in the preamble. (Alejandro)
- Added support for bold symbols using \boldsymbol. This was not
  necessary for AMS class users. Currently there's no way to see
  bold symbols WYSIWYM, you have to use TeX (former macro) mode. (Alejandro) 
- Mathed's limits bug at parsing time fixed. (Alejandro)  
  Hopefully fixed the configurable toolbar. Had to change some in the
  init order to fix it. Now the XForms is initialized before lyxrc is
  read, but the forms are created after. (Lgb)
- Matthias Zenker sent me some new toolbar icons, now included. At the same
  time I fixed a bug in the Toolbar::read code regarding arguments (Lgb)
- Added some code to make LyX retain the filemode and inode when making
  backup copy and saving the document. Needs some polishing. (Lgb)
- Possible fix for the cursor drawing bug. Pleae test. (Lgb)
- Bug fix in filebrowser. (Asger)
- Bug fix with sgmltools. (Asger)
- Warn if included postscript filename contains illegal characters. 
  If you really need such a filename, you can still enter it in the text
  box in the figure pop-up. (Asger)
- Implemented display of command name and list of defined short-cut keys for 
  each action executed when using -dbg 64. Somebody please put this in a
  small window next to the minibuffer. (Asger)
- Small fixes in Tutorial.lyx. (Asger)
- Clear selection after "Paste". (Asger)
- Make LyX prefer writable directories as default for New and
  Open file. (Asger)
- Fixed hang after failed sgml2latex. (Asger)
- Fixed hang scanning LaTeX log-file with non-existing pictures
  with "l." in the filename. (Asger)
- Fixed hang with "View dvi" while rendering pictures. (Asger)

since 0.11.48
- removed isEmpty and notEmpty from LString, replaced with empty (Lgb)
- fixed stupid bug with .fd files and fdesign, updated fdfix.sh (Lgb)

since 0.11.47
- updated the fd files for the "new" shortcut scheme. (Lgb)
- Slightly fixed display of "<hfill>text<hfill>". Still has cosmetic bug:
  the last hfill is not extended to the left hand margin. (Asger)
- Added "\exit_confirmation" flag to lyxrc. This can be used to turn off
  the confirmation of exit when there are documents that haven't been
  saved. (Asger)
- Fix crash with "lyx file.sgml". (Asger)
- Better logic with "New" and already open documents. (Asger)
- Top level text files updated. (Asger)
- 8-bit bug with bind command fixed: \bind "M-f ř" "buffer-open" works now
  from the LyX side of things.  However, it will just give you an error,
  because X11 requires you to use \bind "M-f oslash" "buffer-open"
  instead. (Check the man page for XStringToKeysym for more information on 
  the names for characters). (Asger)
- updated Customization.lyx (JMarc)
- LyXTextclass::Read stops if there is an error in an include
  file. (JMarc)
- Fix bug with \DeclareLatexClass[foo]{bar} in chkconfig.ltx (JMarc)
- Fix core dump when an .sgml file is open from the command line (JMarc)
- The file open dialog now has a "Examples" button (JMarc)
- fix the size of a few popups for the larger size of my fonts (JMarc)
- initial po-file for Swedish (Joacim)
- cleanup among the accelerators towards idex/scex (Joacim)
- added accelerators to those (all?) menu items that lacked one (Joacim)
- a few more _()'s added (Joacim)
- Added Tutorial.lyx. Complete (?) first draft, except for math
  chapter (Karger)

since 0.11.46
- removed BufferParam::cursor, which was not used anyway (JMarc)
- the default roman font is now times instead of utopia, for people
  who have slow computers and/or buggy PS font servers (JMarc)
- tried to fix 'buffer-export custom'. It still does not work from a
  keybinding (help!) (JMarc)
- the configuration files created by configure in the user's .lyx/
  directory are removed if they are identical to the system-global ones
  (JMarc) 
- Added the 'fax send' command as autodetected.
- some cleanup in chset.C (JMarc)
- changed behaviour of minipages, now more paragraphs can be part
  of a single minipage. Environments are always in the same minipage.
  This is forced as otherwise we get LaTeX-Errors!!! (Jug)
- ParagraphExtraOpt's now Apply also on selections (Jug)
- I fixed the Insert/Include File-Dialog to display the appropriate
  filetypes (*.lyx for Include / *.tex for Input / * for Verbatim) (Jug)
- added new example file MultirowTable.lyx to lib/examples (Jug)
- Fixed segfault with math-macros reported by JMarc.  (Alejandro)
- Restored the geometric part of frames (for buttons).  (Alejandro)
- Removed some warnings.  (Alejandro)
- Cleanned and improved implementation of user defined math
  macros. (Alejandro) (At the cost that currently only subparagraphs
  are allowed.)
- New document example about user defined math macros.  (Alejandro)
- Prevented segfault if undo in an empty math box. (Alejandro)              
- new code for quotes, from Ilya Ovchinnikov, plus a bugfix (JMarc)
- Layout->Table is greyed out when unavailable (JMarc)
- added support for FreeSpacing for linuxdoc layouts (JMarc)
- Added a binding for File->Export->Custom (JMarc)
- removed LaTeX from the Insert->Figure Popup (JMarc)
- added support for 'fax send' in lib/configure (I forgot which
  package has this command...) (JMarc)
- began to update Customization.lyx to fit better John's
  recommandations. Much is left to do (JMarc)
- Enumeration in a footnote fixed to look like LaTeX output (ARRae)
- Bibliography numbering corrected and also made sure you can't
  change the depth of a bibliography entry.  (ARRae)
- Switching between documents now returns you back to the cursor
  location instead of the top of the document. (ARRae)
- fixed the redraw bug in screen.C and use only X funcs to draw
  on the workarea. (Lgb)
- made the black dot disappear (Lgb)
- ran purify and corrected some warnings/errors reported by it. (Lgb)
- removed a couple of enums from definitions.h to LyXParagraph (Lgb)
- changed LString::chars() to LString::c_str() since that is what ANSI C++
  is going to use. (Lgb)
- made a real class out of TexRow, I *think* I did it correctly, but I get
  segfauls when errorinsets is automaically deleted (Lgb)
- made LFUN_CENTER more natural (Lgb)

since 0.11.45
- work on header files to make them nicer in doc++ (Lgb)
- stupid fix for the display update bug. (Lgb)
- patch to paragraph.C posted to the list by Matthias inserted (Lgb)
- Execute-command now works also in math mode.  (Alejandro)
- Correct metrics for the last row of a 1 column matrix. (Alejandro)
- AtClose for all math popups.  (Alejandro)
- A small correction in UserGuide (the non-standard sizes at the
  end of the math chapter had been missed).  (Alejandro)
- Fixed crash with redefinition of partial key binding. Clean-ups
  in kbmap.C. (Asger)
- Cleaned up support for ldots, opt. hyphen, end-of-sentence dot. (Asger)
- Updated docs to new special chars format, language clean-up in new
  table documentation. (Asger)
- Made InsetCommand handle nested parenthesis in arguments and options:
  e.g. \cite[test[test]]{Test{Test}} is handled correctly now. (Asger)

since 0.11.44
- Added some pragmas for g++, made the lyx binary 2Megs smaller when
  built with debug info (Lgb)
- Reverted to use only X calls for drawing in to the workarea
  (the only exception now is the box used by editable insetcommands) (Lgb)
- Undo/Redo are greyed out is unavailable (JMarc)
- updates to the paper textclass (JMarc)
- add a little blurb in lyxrc.defaults explaining that it should not
  be modified (JMarc)
- Fixes to the export->Custom command (JMarc)
- when exporting to LaTeX, insetinclude inherit the 'nice' feature
  (JMarc)
- fix 'weird error' with insetlatexaccent (JMarc)
- fix leak in creation of Floats submenu (JMarc)
- cleanup of the layout menu (JMarc)
- add confirmation dialog to 'Save layout as default' feature (JMarc)
- braces, {}, added around several fl_raise_form() calls (ARRae)
- bibitem inset now updated if changed (ARRae)
- Cursor[Left|Right]OneWord now treats insets as words (ARRae)
- "cancel" now cancels a selection also (ARRae)
- bullet selection
     o package checking moved to LaTeXFeatures (ARRae)
     o Added entry to LyXAction/LyXFunc (ARRae)
- \cursor_follows_scrollbar option added to lyxrc (ARRae)
- Table Options popup now works with xforms-0.81 (ARRae) 
- LaTeXLog popup now raises if already shown. (ARRae)
- Fixed serious bugs in ChangeExtension. (Asger)
- Fixed problems with extensions of documents, also SGML. (Asger)
- ANNOUNCE file updated. It's not ready for 0.12 yet. Help me! (Asger)
- Fixed font bug: "Reset font" would crash sometimes. (Asger)
- Fixed display of Error boxes. (Asger)
- added Ascii File-Type for Export->Custom (Jug)
- fixed lyxrc-settings in LyXGUI::LyXGUI (moved to LyXGUI::init) (Jug)
- fixed some entries in lib/lyxrc which have been forgotten to update (Jug)
- the export_custom_command now is written only the first time in the
  above init and if the command-field is empty (Jug)
- fixed display-bug for multicol-table-entries (I saw that when preparing
  LongTable.lyx example file) (Jug)
- Updated UserGuide.lyx added the new table documentation (Jug)
- Added Longtable.lyx to lib/examples (Jug)
- fixed bug (and it was a bug) that if a table was the first paragraph
  and adding a paragraph before the table was removed (actually all newlines
  have been removed till the first character was found this is deadly for
  tables!!!) (Jug)
- fixed various problems with quote inset (JMarc)
- the print dialog now keeps its default. (JMarc)
- SendTo has been moved in the export submenu and renamed to Custom;
  added a new lyxrc tag \custom_export_format to indicate the file
  extension needed; renamed \sendto_command to \custom_export_command
  (JMarc)
- updated a few doc files (JMarc)
- Mathed changes:    (Alejandro)
  o Fixed bug on vertical matrix alignment.
  o Changed "Macro mode" to "TeX mode" to avoid confusion with user
    defined macros.
  o Finally Undo/Redo for math mode. No problems after some testing.
  o Fixed problem on reading spaces in text mode.  

since 0.11.43
- vertical resize now uses fitCursor() so cursor remains visible (ARRae)
- scrollbar now updates cursor position (ARRae)
- small changes to lyx_main.C for gcc-2.6.3 compatability (ARRae)
- bibforms.h.patch, eliminates warnings I caused during compile (ARRae)
- some bugfixes and speedups (cursor movement and scrolling) (Matthias)
- Some latex commands changed (quotes) (Ilya Ovchinnikov)
- new menu command 'Save layout as default' which make a default
  template from the layout options of the current buffer (JMarc)
- removed all the buffer-level keywords from lyxrc (they are useless
  now) (JMarc)
- changed the semanitcs of \ascii_linelen in lyxrc, so that it applies
  also to LaTeX files and LinuxDoc files (JMarc)
- renamed a few lyxrc commands for consistency; more has to be done
  (JMarc) 
- fixed the bug with keeping the layout after a section (you know what
  I mean) (JMarc)
- introduced new methods LyXLayout::isParagraph() and
  LyXLayout::isEnvironment(); please use them instead of testing for
  latextype; updated the code accordingly (JMarc)
- Extended ChkTeX documentation. More will come. (Asger)
- Always generate "\textXX{text} " rather than "\textXX{text }". (Asger)
- Reset autosave timer at saves. (Asger)
- Improved order of paragraph environments in combox. (Asger)
- Fixed bug with font setting. (Asger)
- Improved list of font attributes in Layout->Character pop-up. (Asger)
- Fixed reported bug with wrong conversion message. (Asger)
- Misc. clean-ups. (Asger)

since 0.11.42
- made the hyphen char be a colored "-" instead of a sentered "." (Lgb)
- some changes to the quotes...Please check it Jean-Marc (Lgb)
- some cleanup for better sequence in drawing in screen.C, this might
  make things a triffle slower. (Lgb)
- lots of changes to get printing to pixmaps better. However the
  drawing functions are not always called in the correct sequence.
  For instance LyXScreen::expose should only be called by
  BufferView::WorkAreaExpose (or with it in the call chain) (Lgb)
- fixed recalculate of column-width after multicolumn-(un)set (Jug)
- enabled alignment setting on fixed width columns only if cell
  is (part of) multicolumn (Jug)
- fixed/added support to read in tab-separated ascii-files directly
  into tables. As Lines and As Paragraphs works identically here (Jug)
- fixed a small bug regarding the Linebreak/Parbox-Feature (Jug)
- makepatch updated to ignore "core" and "libintl.a" files. (Asger)
- Buffer open behaviour a bit improved. (Asger)
- Started updating Reference.lyx. (Asger)
- Removed obsolete "load auto save" command. (Asger)
- Partially fixed buffer rebreaks. (Asger)
- Documented ChkTeX in Special Tools. Updated Special Tools in general. (Asger)
- Added CloseAllBufferRelatedPopups()    (ARRae)
    - solves the potential segfaults caused by having popups open
      that expect to be able to change a buffers settings when
      there are no buffers available (ie. after closing last file)
- Rewrote Foils and ItemizeBullets example files (ARRae)
- small cleanup of foils.layout (ARRae)
- configure: fixed the order of multiple directories in --with-extra*
  (JMarc)
- lib/configure: added a check for chktex (JMarc)
- layout.[Ch], lib/layouts/*: added Tags SecNumDepth and TocDepth;
  added support for that where this was needed (JMarc)
- lyxrc: removed tags \paperpagestyle, \papercolumns, \secnumdepth,
  \tocdepth. They do not belong there IMO (JMarc)
- po/Makefile.in.in: added a kludge for people without GNU
  gettext. Tell me whether this works for you (JMarc)
- LyXAction.C: Added cut and paste as forbidden on ro files (JMarc)
- removed references to sos.h since it is currently unused and some
  people have problems compiling it (JMarc)
- insetquotes.C: Added support for so-called ''swedish'' quotes. I
  know these names are stupid, but the user do not see them; fixed
  some bugs there (JMarc)
- text.C, text2.C: fixed some bugs where COMMANDTITLE was not taken as
  a command (JMarc)
- Several Mathed's bugs fixed: (Alejandro)
  o Cursor misplaced after a big operator and a scripted expression, and
    more robustness for array::Resize (thanks Ralf Gugisch for the patch).
  o As suggested by John, each time a { is typed in TeX mode, it's
    closed with a }.
  o Removed OpenMathInset so math mode always create a new inset, as
    requested by David and Amir.
  o Several fixes and cosmetic enhancements to math-macro. 
  o Fixed several (but not all) matrix and label bugs.
  o User defined macro names bugs.  
- Implemented "chktex". (Asger)
- some cleanup in lyxdraw.[hC] (Lgb)
- fixed a bug that made VC not work all the time (Lgb)
- Fixed some bugs regarding tables (Jug)
- Fixed the visual for Multicolumns, now only the last cell is
  expanded and not all cells egually as it was before (like
  LaTeX does it) (Jug)
- Make word selection stop at end of paragraphs and insets. (Asger)
- Improved display of open footnotes, margin notes, etc. (Asger)
- Fix crash on opening of non-lyx file. (Asger)
- Updated man page. (Asger)
- Added "-sysdir directory" flag to set system directory. Notice that this
  will not seem to work because LibFileSearch prefers built_directory to
  system_directory. However, I'm sure it does work. (Asger)
- Fix \kbmap lyxrc flag. (Asger)
- Small clean-ups. (Asger)
- Hopefully fixed all spurious crashes on exit. (Asger)

since 0.11.41
- cleanup in table.[Ch] (added column_struct and row_struct) (Jug)
- added longtable-features \endhead \endfirsthead \endfoot \endlastfoot
  \newpage (Jug)
- added the posibility to force a \parbox{width}{} in a table cell.
  I called this feature "linebreaks" as it inserts the linebreaks
  AS-IS on screen display. This option is only selectable if we have
  something in the width-field (Jug)
- cleaned up the Fax-Facility, as I've seen that some things where
  not quite clear. Doing this I added a message window which pops
  up if the sendfax-command has some std[out/err] output and shows
  this on screen display (Jug)
- Implemented two new commands:
      "end-of-sentence-period-insert" that inserts "\@." bound to C-period.
      "dots-insert" that inserts ". . ." (\dots) bound to M-period.
  Updated documentation to use them. (Asger)
- Improved display of InsetCommands. (Asger)
- Make "Save As..." work better with LinuxDoc. (Asger)
- Continued work on updating UserGuide.lyx. (Asger)
- BUGS.lyx updated and trimmed. I removed "Fixed bugs", because that section
  was larger than "Existing Bugs". (Asger)
- Added warning message after "Reconfigure" to make users restart LyX. (Asger)
- Partially fixed update of counters in footnotes. (Asger)
- Fixed color bleed. (Asger)
- Cleaned out global "current_textclass". (Asger)
- Fixed bug with cursor after footnotes. I introduced it. (Asger)
- removed development/foils (ARRae)
- fixed up bullet_forms patches and regenerated (ARRae)
- added "rm *~" to forms/makefile distclean (ARRae) 
- renamed the option --keep-logs of lib/configure to keep-temps, since
  this is more accurate; fixed a bug with sgml-tools there (JMarc)
- updated (not completely) the description of layout files in
  Customization.lyx. Added a small explanation about the use of the
  .lyx/ directory (JMarc)
- Updated UserGuide.lyx: trimmed preamble, updated section on
  bibliography (no BibTeX), removed section on [] and explanations about
  running LaTeX several times, fixed a number of crossrefs and labels,
  added a description of the LaTeX log window, a pointer to
  LaTeXConfig.lyx (JMarc) 
- updated a bit the layout files (JMarc)
- rewrote part of the quote inset: now supports >>quotes<< and
  ,,quotes'' (JMarc)
- added LString::clean(), LString::lose()  (Bernhard)
- fixed missing LStrings in LinuxDoc  (Bernhard)
- LinuxDoc-character-conversion also inside URLS...
  [Hope it's correct]  (Bernhard)

since 0.11.40
- fixed crash when using bibitem popup (ARRae)
- added typecast to emumeral type used as parameter to LString::+
  without it gcc 2.6.3 gives an error (ARRae)
- made fdfix also handle scex and idex + lcolor<->lcol (Lgb)
- Improvements in LaTeX runs:
  - Chars ~ $ and % are substituted in filenames because LaTeX chokes on those.
- If LaTeX log contains "Rerun LaTeX.", we rerun LaTeX. (Lgb)
- fixed crash when using a new file name as a line parameter (Petr)
- XForms 0.81 code for the menu_font option (Petr)
- fixed (?) the dreaded configure failure; added a switch --keep-logs
  to lib/configure to help debug problems like that (JMarc)
- added detection of rotating.sty. I hope the description is
  reasonable. (JMarc)
- A few forms have been updated to the popup style sheet. (Asger)
- Fixes in window title updating: When buffer is changed (or saved), the 
  window title is updated. Added "(read only)" when buffer is readonly. (Asger)
- LaTeX error box popup enlarged and made resizable and closable. (Asger)
- Various clean-ups. (Asger)
- Fixed idex. It might leak, but that's not a problem because the strings
  live until LyX is closed, so the leak is a close time. (Asger)
- Cleaned up the lib/examples directory. (Asger)
- Fixed crash when loading many documents with lots of insets. (Asger)
- Fixed search backwards bug reported by Allan. (Asger)
- Renamed "Edit->Floats" submenu to "Edit->Floats & Insets". (Asger)
- Fixed hangs from LaTeX errors like "\def\foo{bar". (Asger)

since 0.11.39
- Fixed the Ascii-Export, now also multicolumn and TableContRows
  work correctly (even better when using a (t/g)roff postprocessor :) (Jug)
- Added new debug-flag 4096, which I have to use when looking at the
  roff-output for table-processing, attention with this flag as if
  you use it you have to remove the lyx_tmp(dir) by hand!!! (Jug)
- Extended the Rotation-Support to Table-Cells also. Try it!!! (Jug)
- export ascii text now writes "Abstract" (ARRae)
- export acsii text bug fixed:  (ARRae)
      - now correctly skips over tex embedded in a paragraph
- fixed autosave:  (ARRae)
      - no longer leaves files in TMP_DIR if the rename fails
      - tries writing autosave file directly if failure occurs             
- Search/Replace & spellchecker replace fixed. (Asger)
- Implemented lazy loading of textclasses. Force loading on startup with
  "-dbg 1024". (Asger)
- Fixed remove error boxes. (Asger)
- new better and improved scheme for reading the TextClass
  descriptions directly from the layout file at configure time. I am
  sure this will break for many people, but since I use LaTeX for the
  parsing, I should have less problems than with sed; updated the layout
  files (JMarc)
- adapted the layout-reading routines for the new format of
  textclass.lst; removed the newly-introduced Description tag; please
  remove your old textclass.lst files (JMarc) 
- fix a bug with the file-name-in-window-title feature, where closing
  the last window caused a crash (Lgb) (I did it first :-)
- A few changes to accomodate DEC cxx (in particular in
  intl/libgettext.h, a change which should go in the next release of
  GNU gettext) (JMarc)
- A few cosmetic changes to the docs; some others to slides.layout
  (JMarc)
- fixed a bug in MakeAbsPath where "foo/./"+"../bar" ==> "foo/bar"
  (JMarc)
- changed a few unconditionnal debug messages to optional debug
  messages (JMarc)
- made a proposal for solution of the i18n<->shortcut problem, applied to
  menus and insetinclude. Added a file in development/Code-rules for, 
  Dialogs (Lgb)

since 0.11.38
- linuxdoc: url{}{} and htmlurl{}{} correctly read in again (Bernhard)
- Rewrite and cleanup of Translation classes. Bindings to accents and 
  translation work in a unified (?) way. (alkis)
- major mods to bullet implementation. Split code into separate files,
  slight mods to panel layout, new patches in forms/ (ARRae)
- bullet panel .xpm and .xbm files regenerated that now look clearer
  and have a grey rather than white background.  (ARRae)
- small change to forms/fdfix.sh, sed script now starts line 8 instead
  of line 6 -- required to avoid internationalising two new #includes 
  needed for bullet_forms.C -- this shouldn't cause any problems (ARRae)
- added a 'distclean' to forms/makefile, rm's *.orig, *.rej  (ARRae)
- Implemented buffer title in window in a clean-way. (Asger)
- Clean-up, bug-fixes and better error recovery in textclass/layout handling. 
  (Asger)
- Textclass definition loading prepared for being made lazy. We just need
  to have the textclass descriptions in textclass.lst, and I'll implement
  lazy layout file loading. That should increase start-up time substantially.
  (Asger)
- Fixed "make srcdoc". (Asger)
- Small fixes in UPGRADING. (Asger)

since 0.11.37
- small change to menus.C to work better with gettext (menu names) (Lgb)
- made a makefile in forms. This can be used to regenerate .C files from
  .fd files. (Lgb)
- New lyxrc option: menu_font. It allows to set the font used for popups
  (FL_NORMAL_STYLE). It is now <menu_font>-*-*-*-?-*-*-*-*-<font_norm>. 
  If this font is not available, the popup font is set to 
  -*-helvetica-medium-r-*-*-*-?-*-*-*-*-*-* as before. The default value
  of menu_font is "-*-helvetica-medium-r". (Petr)
- Some fixes in Introduction.lyx and UserGuide.lyx, but I didn't get all the
  way through UserGuide. (Asger)
- Bug fix in canceled buffer reload. (Asger)
- If emergency saved file exist, ask whether to try to load that. (Asger)
- Changed behaviour of \temp_dir. When this alredy exists it is
  handled like /tmp (so it won't be created, but lyx_tmpXXXXX is
  created instead (Jug)
- fixed small bug in minipage-handling (Jug)
- Made the Table-Layout-Menu a bit smaller (Jug)
- Right-Mouse-Button in tables now moves first the Cursor to
  the position and then opens/updates the Table-Layout-Menu (Jug)
- added support for rotating the tables 90 ', with rotating.sty,
  this works ONLY for Postscript!!! And is NOT WYSIWYMG. (Jug)
- Added new Description tag to layout files; used it in
  Layout/Document; updated layout files to provide descriptions
  (JMarc)
- Added the possibility of having several layout files for the same
  class; the name of the layout file should be
    <classname>_<something>.layout
- renamed the Option tag to Other and moved it into ClassOptions
  (JMarc)
- changed again the way to detect layout files; the format of
  textclass.lst has been changed to be only a list of layout
  names; you should run Options->Reconfigure to regenerate your local
  textclass.lst file (JMarc)
- updated the UPGRADING file (JMarc)
- Added a fix for header files when -ansi is set (JMarc)
- cleanup to allow compiling with gcc 2.6.3 (ARRae)
      NOTE: still need configure to drop -ansi if 2.6.3 detected
- switch off rendering if \ps_command is empty; display filename
  of EPS-file instead. Give some nicer render-status report (Henner)

since 0.11.36
- added support for KeepEmpty in LyXText (Jug)
- changes to support xforms 0.81 (ARRae)
- bug fix related to having more than 4 lastfiles (ARRae)
- Bullet popup improvements, panels loaded from disk at runtime,
      using LibFileSearch, support for mono also (ARRae)
- bmtable extended: reading xpm's from disk and freeing them also (ARRae)
- fixed lib/Makefile.in to move doc/*.eps also (ARRae) 
- detection of algorithm.sty (Bernhard) 
- line-length reduction in export of SGML (Bernhard)
- Added "all" keyword for the allowed chars field of \kmod in the
  .kmap files. This will use the native chars that TeX allows for
  each accent. Also cleanup and bug-fixes in Trans and Intl (alkis)
- Moved allowAccents to BufferParams. Also moved get_accent from
  LyXFunc to tex-accent.C (didn't use any LyXFunc state anyway and
  I needed it in TransManager) (alkis)
- Dirty hack to make \bind and Trans work together. Any bindings on
  accents are delegated to Trans which puts them in the default 
  keymap (alkis).
- updated the revtex.layout file; fixed a bug with the Option tag; 
  separated stdsections.inc inot two files (JMarc)
- added a new boolean tag in layout files (KeepEmpty) as per Juergen's
  request; not used currently (JMarc)
- fixed the problem with lib/configure and color-ls (JMarc)
- small modification of Makefile.in for OS/2 (JMarc)
- added a new lyxrc command \ps_command, which is autodetected and
  defaults to 'gs'. It is used in figinset to launch Ghostscript (JMarc)
- applied the change from Falko Sauermann to fixing the disapearing
  layout list bug (JMarc)
- added a hack to help people without GNU gettext to build LyX after
  they have applied patches. You should really install gettext instead
  (JMarc) 
- added some support in lib/Makefile.in for a images/ directory (JMarc)
- Improved delimiter dialog: using right mouse button the right
  delimiter is selected, the region displaying the chosen delimiters works
  as the apply button (not yet removed), the chosen delimiters are
  initialized correctly after close/reopen the math panel.  (Alejandro) 
- Fixed some (not all) bugs related with matrix: double clearing in Matrix
  and Par destructors caused a segfault (anyway I inserted your patch,
  Henner, for robustness, but an array never should be cleared twice);
  alignment with void cells now seems to work. (Alejandro)
- More bugs caused for the leaks stuff: labels and macros. (Alejandro)
- buffer doesn't jump to cursor anymore when figure gets ready (Henner)
- Sizes of rotated figures are displayed right now (Henner)
- A number of bug fixed. BUGS.lyx updated. (Asger)
- Added "error-remove-all" that removes all error-boxes. You can find it
  under "Edit/Floats/Remove all Error boxes". (Asger)
- Better handling of resize, but not perfect yet. (Asger)
- Crash in paragraph environments with a manual label and an open footnote
  removed. (Asger)
- Various clean-ups. (Asger)
- Up to 10% speed-up on rebreak. (Asger)
- Added two new, obvious methods "bool LString::suffixIs(char)" and 
  "bool LString::suffixIs(char const *)". Used them here and there. (Asger)
- Use "void foo(LString bar=LString());" to signify default initialization
  of empty strings. (Asger)
- fix in insetlatexaccent (Lgb)

since 0.11.35
- Added a new flag NeedProtect to indicate whether the content of a
  layout is a moving argument; used it (JMarc)
- footnotes use \thanks in title layouts (JMarc)
- Some cleanups to the i18n code. Should work now (JMarc)
- some bug fixes to my earlier patch, concerning lib/configure and
  default textclass (JMarc)
- cosmetic changes to emacs.bind and bufferlist.C (JMarc)
- Scrollbar and up/down buttons made thinner (ARRae)
- Small improvements to bullet handling (ARRae)
- removed development/bullets (ARRae)
- Installed itemize bullet selection (ARRae)
	- can read/write .lyx files
	- user input of LaTeX commands
	- example file added to lib/examples
- Small fix: file.C to allow compilation (ARRae)
- Got rid of old ScanLogFile. (Asger)
- Stub for "chktex" support put in buffer.C. (Asger)
- Various mostly cosmetic improvements in source code. (Asger)
- Small bug fixes. (Asger)
- Better error handling with key bindings. (Asger)
- Fixed errors with overriding key bindings. (Asger)
- Removed "pc-modern.bind" because it's obsolete. (Asger)
- Figure size defaults to saved size instead of A4 if PostScript file is
  not readable/missing (Henner)
- Shows an empty \fbox{} for each undefined figure 
  (i.e. no filename given) (Henner)
- Added method LString::charPos(char) that returns a char
  position. (Alejandro)
- Removed several "leaks" from mathed, including that which caused a bug
  in macros when somebody else removed it. ;-)             (Alejandro)
- Fixed the bug that prevented font changing in math mode. (Alejandro)
- Fixed some incorrect behaviour of ExtraParagraphIndent and inserted
  indent for minipage-paragraphs if the paragraph_separation = indent. (Jug)
- Inserted code for handling footnotes in section-headings (I still need
  a flag in the layout files, as for now the code is always inserted). (Jug)
- From now on you can write paragraphs in a table-cell =:), try to press
  Ctrl-Enter in a table cell. This is NOT WYSIWYG as the linebreaks are
  not written to the output-file. There are sure still some minor bugs
  here but I find this is one of the most important enhacements I made
  for tables. (Jug)
- Write routine for tables updated to "tabular4", to reflect the above
  modifications (this is NOT backward compatible). (Jug)
- Activated definetively the SimpleTeXOneTablePar function and cleaned
  up SimpleTeXOnePar (removed all Table-Stuff). (Jug)
- Added and modified a bunch of functions to text.C, text2.C and paragraph.C
  for the above table-feature. (Jug)
- Added a "Sendto ..." Entry in the File-Menu. This permits you to send
  the file in the actual buffer in LyX-,LaTeX,DVI- or Postscript-Format to
  a command which you define in a Upcoming window. It inserts to a new
  token for lyxrc \sendto_command for which you can define a default
  command for this function. (Jug)
- Small table fix. (Jug)
- Fixed segfault on close bug (at least I can't see it anymore) (Lgb)
- changed a lot of X-primitives to XForms-primitives (Lgb)
- update to OS2 files (miyata)
- uptodate documentation included (0.10.7) (weiss)
- small add to space support (spiegel)

since 0.11.34
- Added a "There are unsaved buffers: Exit anyway?" question if LyX
  would exit with unsaved buffers. (Jug)
- Added visual feedback on LyX-Main-Screen if the paragraph is in a
  minipage-environment (purple dotted line on the left). (Jug)
- TableLayout-Menu now comes to front if it is already opened (Jug)
- Fixed Button-(De)Activation in the ParagraphExtra-Layout-Menu (Jug)
- Recoded some things for Minipage and Paragraph-Indent, especially
  now if I (un)set a Paragraph-indent of a List-Environment, it is
  (un)set for the whole List (cause as Jean-Marc advised it really
  don't work if I select it only on ONE List-Env-Paragraph). If I
  set minipage for a List-Environment-Paragraph with a ExtraIndent
  set, the Indent for the whole List-Environment is removed. (Jug)
- Split the function SimpleTeXOnePar into SimpleTeXOnePar and
  SimpleTeXOneTablePar. I need this for the upcoming new features
  as this function is already too large and it would become unable
  to mantain if we don't split it. I did not yet activate this new
  function. (Jug)
- Coded a lot for introducing new Table-Features. You have to #define
  JUG_TEST to be able to test them (they are for not enabled). (Jug)
- New insetparent used as reference for a child's document parent.
  Use "parent-insert <parent filename>".                     (Alejandro)
- New function "reference-back" to return from a referenced
  label or from a child/parent document.                     (Alejandro)
- New function "reference-goto". Should I to explain? :)     (Alejandro)
- Work on new font loading code: FontLoader finished. Now I only need to use 
  it in lyxfont.C and that should be it. Will follow soon. (Asger)
- Make "bold" toggle. (Asger)
- Activated new font loading code. (Asger)
- lyxrc spellchecked. (Asger)
- Removed "pc-modern" bindings in favour of CUA style bindings. Created
  "menus.bind" to reduce redundancy and make management of bind files 
  easier. (Emacs binding file cleaned up, but bindings are the same
  except for new math bindings as defined in math.bind) (Asger)
- Changed environment variable to use to specify LyX system directory
  from LYX_DIR to LYX_DIR_12 to avoid conflict with LyX 0.10, and future
  versions. (Asger)
- Fixed reference counter problem with LString.C. (Asger)
- Neglible clean-ups. (Asger)
- some small fixes to the buffer files. (altered and removed funcs) (Lgb)
- even better working VCS (Lgb)
- small change to main form, is it better? (Lgb)

since 0.11.33
- New function char *LyXAction::getActionName(action).   (Alejandro)
- Improved LyXAction::helpText. Faster, removed a lot of
  redundant data. If there's no help string for an action,
  it returns the command name.  (Alejandro)
- Bugfix: NULL-ptr-dereferrencing while using LinuxDoc (Bernhard)
- Bugfix: <descrip>-environment works (almost) correctly (Bernhard)
- Correction: algorithm-float now has correct representation, even
  if closed (Bernhard)
- Added support for algorithm-floats (Bernhard)
- Added "loa"-inset (list-of-algorithms) (Bernhard)
- Changed Menu. Now child-files can be included using menu. (Bernhard)
- Added algorithm-float to menu (Bernhard)
- Added action for adding floats (Bernhard)
- Added support for gettext in configure (JMarc)
- simplified a bit the Makefiles. (JMarc)
- changed #include "config.h" to #include <config.h> everywhere (JMarc)
- change the LaTeX file generation so that babel is included later (JMarc)
- --with-warnings is by default off if you do not use GNU C (JMarc)
- changed the code for the detection of textclasses. You do not need
  to edit textclass.def if you create a new layout (JMarc)
- renamed layout/textclass.def to textclass.lst and packages.def to
  packages.lst (JMarc)
- added a new tag ObsoletedBy <style> in style definitions. This
  allows the style to be automatically replaced by another one; used
  this to translate transparently LaTeX_Title to Title; removed the
  old Title layout (JMarc)
- fixed the title related layouts in amsart.layout (JMarc)
- Added preliminary support for \minipage-environment (Jug)
- Fixed some inconsistences between Nice and NonNice LaTeX-Output
  (please check if I did it right) (Jug)
- Fixed some problems for IndentedParagraphs, added full
  WYSIWYG (Jug)
- ran lyx through purify, some leaks (about 1k) and array bounds fixed.
  We still leak more than 2k (most in math_*) (Lgb)
- small cleanup (Lgb)
- first working version of Version Control (use with care) (Lgb) 
 
since 0.11.32
- New banner page. (Asger)
- Bug fix: Menu bugs causing crashes. (Asger)
- Bug fix: Parsing of LaTeX command went out of bounds. (Asger)
- Bux fix: Potential crash in combox. (Asger)
- Improvements in spellchecker. (Asger)
- Small bug fix in file browser: If you typed an absolute path in the name box,
  the path was ignored. Now, it's respected disregarding current directory. 
  (Asger)
- Save more robust: If we fail, allow the user to rename and try again. (Asger)
- Work on new font loading code. Work in progress. (Asger)
- Fixed release of Export Pop-up to avoid FL_MAXPUP error. (Asger)
- Changed behaviour of LyXScrollbar to normal X-behaviour (Jug)
- Added ParagraphExtraOptions with IndentedParagraphs (Jug)
- Fixed the Export-Menu (Jug)
- Fixed the bind files for the new buffer-export command (Jug)
- Button look for editable insetcommands.   (Alejandro)
- Improved \maketitle support: no more need to write explicitly
  \maketitle in tex mode.   (Alejandro)
- New latextype CommandTitle, new method bool layout::isCommand(). (Alejandro)
- Example file Maketitle.lyx updated to show these changes. (Alejandro)
- menubar: frame changed and help not flushright anymore. Comments? (Lgb)
- a lot of "user strings" converted from "Qwerty" to _("Qwerty") (Lgb)
- a po/ dir and a intl/ is now in the sources, these are made by the
  gettextize program, what remains of active support by developers is
  support in configure for gettext. (Lgb)
- configurable toolbar should now work again. (Lgb)
- bufferlist canged to use new and delete dynamically when documents
  are opened and closed. We still have the limit of 50 buffers. I'll remove
  that later. Also encapsulated the access to buffer[] This might have
  put some bugs or leaks into the open, so please test. (Lgb)

since 0.11.31
- partially fixed some .kmap files (JMarc)
- Corrected the installation of the files in lib/layout (JMarc)
- added detection of the color package and fixed its validation (JMarc)
- fixed the handling of float placement options (JMarc)
- Large reorganisation of the layout files; I'm sure I broke a bunch
  of them, but I fixed a bug in the reading routines in the meantime (JMarc)
- added the debug level TCLASS=1024 to debug reading of textclasses (JMarc)
- Fix crash when searching for an empty string (JMarc)
- some clean-up in intl.C and trans.C; removed kfopen() (JMarc)
- added a test for gcc strength reduction bug (JMarc)
- fixed a few kmap files for unquoted commas(JMarc)
- Added support for p{} alignment in tables. NOT WYSIWYMG!!! (Jug)
- Fixed the use_longtable handling (Jug)
- New method InsetCommand::getScreenLabel() to avoid confusion
  with Inset::getLabel(int). (Alejandro)
- Got back the special InsetBibkey::Write method. (Alejandro)
- Added the method InsetRef::gotoLabel(), guess what it does :) (Alejandro)
- Added the function reference-toggle to toggle an InsetRef
  between REF and PAGE_REF non-interactively. (Alejandro)
- Removed the Reference dialog, it's no more necesary: To go to a label, 
  click on a reference inset, to change the reference type, use the function
  reference-toggle. To change the label, just insert a new one. (Alejandro)
- Several mathed fixes: oslash/emptyset, bot/perp, extra line
  after Matrix, spaces around names, etc. (Alejandro)
- Removed a lot of unuseful comments from lyxfunc. (Alejandro)
- Automatic handling of bibtex. Please test and report. (Lgb)
- merged paths.[hC] and filetools.[CH] into one file. (Lgb)
- changed NametoPath to OnlyPath. (Lgb)
- Better VC support. Still not functional, but it is better. (Lgb)
- some general cleanup. (Lgb)

since 0.11.30
- Added preliminary support for longtable package. Changed the
  document-format-version to 2.16 (changed back to 2.15 Lgb) and the
  table-version from  multipart2 to multipart3. (Jug)
- Now most of the Table-Layout-Form options (like alignment, borders ...)
  work also on selections (Jug)
- Added functions to add/remove all table-borders on selection (Jug)
- Changed umllaut to umlaut in greek-keymap (forgot it before :) (Jug)
- Small fix for errorboxes in tables (Jug)
- Fix for Option-Keyboard do accept other... keyboards and
  a spell from umllaut to umlaut. (Jug)
- New option --with-warnings in configure automatically set to on for
  development versions; this option does not imply -Wno-unused with gcc
  anymore (JMarc)
- Better handling for sgml-tools in lib/configure; since this implied
  a change in chklatex.ltx, it will probably break the OS/2
  configure.cmd (JMarc)
- The file dialog now uses the current buffer's directory as initial
  dir (JMarc) 
- " no longer inserts an InsetQuote in TeX mode (JMarc)
- Keybindings should no ignore NumLock setting in Linux (please try
  this!) (JMarc)
- Fix the crash with Options->LaTeX when there is no open file (JMarc)
- Text in TeX mode is no longer broken at spaces (JMarc)
- more work on the VC support (not yet functional) (Lgb)
- some shuffling of code and cleanup (especially to insets). (Lgb)
- work on the error reporting on LaTeX and the use of TeXErrors. (Lgb)
- a preliminary (probably non working) InsetRef to use when inserting
  crossreferences. (Lgb)
- changed InsetLabel to be a subclass of InsetCommand (Lgb)
- added a method BufferView::available() that tells whether there is a
  valid buffer there; used it in many places in the code (JMarc)
- better detection of the C++ compiler in configure (JMarc)
- Break the << and >> ligatures with T1 fonts (JMarc)
- The #warning directives are only active when --with-warnings is set
  (e.g. for development versions) (JMarc)
- A small bugfix in autoconf routines for detecting X (JMarc)
- the current paragraph depth is shown in minibuffer along with the
  current font (JMarc)

since 0.11.29 (0.11.29.1 0.11.29.2)
- removed calls to mktemp and repaced with calls to tmpnam (Lgb)
- some changes to code so that we can remove the -Wno-unused switch (Lgb)
- more work on the Version Control, not yet finished, but a bit closer (Lgb)
- some rework of the tex header files. (Lgb)
- partial reorganization of the LinuxDoc code. It should be little bit
  easier to read. Parts should move in next step to paragraph-class. (Bernhard)
- Display of End-Of-Line marker for ctrl+enter (protected newline). (Asger)
- Backspace much faster. (Asger)
- Assorted minor speed-ups. (Asger)
- Fixed -Mono switch. (Asger)
- Detail bug-fixes/improvements in displaying. (Asger)
- README updated. (Asger)
- BUGS.lyx updated. (Asger)
- several linuxdoc changes, fixes. (Bernhard)
- better handling of Latin1 characters (JMarc)
- quotes should always work now; nicer french quotes (JMarc)
- Added new docs, modified a bit to get along smoothly with 0.11.x (JMarc)
- A few clean-ups for DEC cxx; some changes to BUGS, BUGS.lyx and
  LaTeXConfig.lyx.in (JMarc)
- Fixed mathed's bugs concerning deleting and inserting rows (Alejandro)
- Preliminary text mode under math mode (Alejandro)
- Now the labels browser works again for math labels  (Alejandro)
- Improved the insetinclude class and its dialog  (Alejandro)
- Some fixes to intl.C and to label insets (Alkis)
- renamed [pf]eatures.[Ch] to LaTeXFeatures.[Ch]. This should solve
  problems with existing features.h (JMarc)
- Fixed problem where a new file would be read only (JMarc)
- Fixed a couple of annoying mathed bugs.  (Alejandro)
- Small enhancement to minibuffer.  (Alejandro)
- rewrote Intl. Now passes translation requests to a Trans class. No more
  delete-ing and new-ing when switching kbmaps, Trans is smart enough.
  Added new keyword for .kmap files: kcomb deadkey1 deadkey2 allowed that
  allows you to combine two deadkeys on the same character. (npoly))
- LFUN_BACKSPACE first consults with Trans to see if the cursor has moved
  in the previous keystroke (useful for deadkeys). Backspace will delete
  the previous character (if any was inserted) or cancel the previous
  deadkey. (npoly)
- Intl reads its default values (primary language, secondary language,
  font encoding) from lyxrc. (npoly)

since 0.11.28
- the most uptodate documentation included.
- the keymaps should now be working (almost) correctly. (npoly/Lgb)
- some more changes to the insetinclude (for the better I hope) (Lgb)
- added a new command LFUN_LAYOUTNO (lyx internal only) takes an int instead
  of a string as argument. fixed LFUN_LAYOUT. (Lgb)
- made a new file lyxdraw.[hC] it contains the GC functions and the
  Draw functions from text.C. Also some changes to text.C. (Lgb)
- removed the current_buffer completely from bufferlist, BufferList should
  now be so encapsulated that the buffers at last can be stored as a linked
  list. I have been wanting to do that for 1.5 years!!! However the removal
  of current_buffer can have introduced some minor bugs, but I have not seen
  any so far. (Lgb)
- removed the "Read-Only" popup. (Lgb)
- pre pre alpha preliminary support for RCS, I planned to do this decent,
  but I got caught in cleaning instead. In the prelim support LyX is able
  to detect that a file is under controll by RCS (the file must be made with
  0.11.29 if it shall work correctly. I will complete this promptly on the
  return from my vacation. (Lgb)
- Partly rewrote the Quotes inset (JMarc)
- renamed package.h to features.[Ch] and moved some code there. Inset
  now do their own validation. (JMarc) small fixes to this (Lgb)
- fix UserGuide.lyx so that the EPS figures appear correctly (JMarc)
- A little change to makepatch to make patches shorter (JMarc)
- minipatch to table.C and TableLayout.C
- updated letter-layouts. Created new stdletter.layout and
  updated letter.layout,iletter.layout and dinbrief.layout (Jug)
- updated the file tex/iletter.tex (Jug)
- small fix for New with template (Jug)
- some fixes in LyXLex, there was a wrong handling of \" (Jug)
- fixed the segfault if deleting last row/column from
  Layout-Table-Menu and introduced security check for delete table (Jug)
- Added function lyxaction::getApproxFunc and getApproxFuncName. Allow to get
  a lyx action from an incomplete or approximate string. If the string is 
  exactly equal than an action name, the next action is returned.   (Alejandro)
- Improved the minibuffer:   (Alejandro)
  o Added history to store the last MAX_HISTORY commands typed. To browse
    the history use the Up and Down keys while the focus is on the minibufer.
  o Typing tab to get next command in table or to complete the name from
    an approximate or incomplete string (using getApproxFuncName reported
    above). By typing Tab several times you can browse the entire 
    function table.
  o As the minibuffer is using now a prehandler as keyboard callback, 
    the dirty trick of the hidden buttons are no more necessary so they
    were removed.
- Moved getIncludeonlyList and getReferenceList to buffer.C since they
  are buffer's properties. The reference popup doesn't yet work, maybe
  because some bug in ReturnNextInsetPointer.   (Alejandro)
  
since 0.11.27
- made possible to change pipe-filenames in monitor-program (Bernhard)
- Allow all extensions by ExpandPath-call in read of Resource
  \serverpipe (Bernhard)
- made paragraph-layout <quote> in LinuxDoc available (Bernhard)
- Fixed a few warnings and bugs found by DEC cxx (JMarc)
- fixed a bug where a LyXLex file was closed twice. (JMarc)
- fixed a buglet in configure with Sun's broken /bin/tr (JMarc)
- a few tweaks to LaTeX preamble generations (JMarc)
- Fixed mathed bug \not{}. (Alejandro)
- Added switch "verbatim" to insetinclude. (Alejandro)
- Improved the Include dialog. Also, button "Load" works. (Alejandro)
- Added destructors to some classes (lyxGUI, lyxMain, lyxserver)
  but aren't used because that "smart" exit.   (Alejandro)
- Three new non-interactive functions for bibtex: bibtex-style,
  bibtex-database-add, bibtex-database-del (guess their mean).
  The cursor has to be in front of the bibtex inset (by now).  (Alejandro)
- Started to implement getIncludeonlyList(). (Alejandro)
- Cleaned lyxfunc of some unuseful arrays and added preliminary message and
  error functions. IMO in a future lyxfunc should not use directly the
  minibuffer but let it's owner to display the messages. (Alejandro)
- Created a mechanism to check out that a command is RO (so I removed
  from lyxfunc a lot of lines). Currently it consist in an attribute table
  that contains only the RO commands but in a future could be expanded
  to include more attributes to all commands.   (Alejandro)
- Improved lyxserver:     (Alejandro)
  o Added destructor. Now lyxserver closes the pipes and
    removes the io callback.
  o Added Error notify, in case that lyxfunc reports an error.
  o Implemented a silly communication protocol: If a client send 
    LYXSRV:<clientname>:hello,  LyX will correspond the greeting
    without bothering lyxfunc. So the client will know that LyX is
    listening. If LyX send LYXSRV:<clientname>:bye, the clients 
    shouldn't expect nor send more messages.
  o Added function server-get-tip to get a help line about a command.
    btw helpText is now (char const*) because it's not used as LString
    currently and can be easily converted to LString where that's really
    necessary (conclusion: LString is great but please don't abuse)
  o Created a testing tool (server_monitor) as an example on how to
    use the new protocol.
  o Tested with barracuda, the Qt bibtex browser (it works! :)
- New layout file commands Input and NosStyle; Font...EndFont also
  redefines the LabelFont; new layout directive CopyStyle; converted
  several layouts to use a common layout file stdclass.layout. (JMarc)
- Section layouts can now have a number and a labelstring; used this
  for Chapter; defined layout Chapter* (JMarc)
- LyXLex::GetLongString() tries more carefully to keep a resonable
  indentation (JMarc)
- A few changes in LaTeX file preamble generation code.
- Some improvements in OS/2 support in Makefiles (JMarc)
- Rewrote parts of LaTeXConfig.lyx.in to be more like what John wants
  (JMarc) 
- added a global bool finished to make lyx quit more graciously. (Lgb)

since 0.11.26 
- rewrote part of the code that generates the preamble
  of a LaTeX files; more things are now omitted when unnecessary (JMarc)
- Added support for global and layout-specific preambles in
  textclasses (JMarc)
- added support for \lyxline and layouts in Paragraph::validate (JMarc)
- Added a new method LyXLex::GetLongString(endtoken) (used to read
  preambles (JMarc).
- fixed a bug in ascii file output (JMarc)
- LyXLex now closes files that it has opened (JMarc)
- inserted new Table-Layout-Menu and reactivated right mousebutton
  on Tables, which now will open the Table-Layout-Menu or Update
  an already open Window (Jug)
- split LyXLength into LyXLength and LyXGlueLength (Andre)
- made insets for toc,lof and lot and added three new commands
  o "toc-insert"
  o "lof-insert"
  o "lot-insert" (Lgb)
- backwardscompability fix in insetlatexaccent (Lgb)
- some changes because of the bufferlist->current() removal (Lgb)
- prelim support for real read-only buffers, needs some more work. (Lgb)
- some cleanup (Lgb)
- made Buffer:makeLatex only include the needed parts from lyx_sty (Lgb)
- OS/2 support stuffs in src and configure script replacements.
  Reconfigure from inside LyX does not work yet (SMiyata)
- Mathed bug fixes: {}delims, extra tabs, bold accents, array mess. (Alejandro)
- Added math.bind with some additional math mode key bindings. (Alejandro)
- Partial implementation of buffer-child-open.  (Alejandro)
- Fixed a couple of font related mathed bugs.   (Alejandro)

since 0.11.25
- fixed bug in lyxfunc, now lyx ignores Mode_Switch (Lgb)
- fixed bug in BufferParams::readPreamble (I think) (Lgb)
- added a const to Formula::Display (Lgb)
- some more refinements to LaTeX::run (Lgb)
- preliminary support for multipart documents (Alejandro/Lgb)
- change in ChangeExtension(...) to allow extension="". (Lgb)
- all bufferlist->current() removed. uses now current_view->currentBuffer()
  instead. This is a little better, but this also needs to change, but not
  for 0.12. (Lgb)
- enhanced LyXParagraph::validate() to also validate files included through
  InsetInclude. (Lgb)
- New InsetInclude to support including child documents. Use
  command "buffer-child-insert [filename]" to insert it.        (Alejandro)
- New method LString.rsplit (reverse split). To separate a filename
  and its path use fname = oname.rsplit(path, '/').             (Alejandro)
- First step in integration of new classes for abstraction from 
  System-calls (Bernhard)
- Better handling of read-only files. They can't be overwritten now. (Asger)
- Emergency save enhanced: We try to emergency save three different places:
    1) Same place as document.
    2) In HOME directory.
    3) In "/tmp/" directory.
  (Asger)
- Fixed bug with wrong numbering of itemize after "paragraph" and
  "subparagraph" environments. (Asger)
- Fixed stupid bug with setting of font attributes. (Asger)
- Work on system-calls class. Fixed bugs, better error handling and new
  feature: The callback is passed the returnvalue from the child, even if
  it was executed in the background :-) (Asger)

since 0.11.24
- fixed a bug in LaTeX that caused the error message to not show. (Lgb)
- fixed small bug in LString::frontStrip (Lgb)
- redone a large bit of class LaTeX, it now uses checksums to resolve
  LaTeX runs. As far as I can see LaTeX is now never run more than the
  requiered times at any point. It is not totally finished, what remains
  are support for makeindex and bibtex. (Lgb)
- DepTable.[hC] refined. a couple of new funcs. (Lgb)
- the reg...() funcs in bufferparams has been removed (Lgb)
- validate() in lyxparagraph has been enhanced (Lgb)
- rewrote InsetInfo::read (fixed buggy algo) (Lgb)
- added some consts to insets. (Lgb)
- rewrote BufferParams::readPreamble to not use LyXParagraph (Lgb)
- Fixed DefaultFont handling error in buffer.C (ARRae)
- changed from vmargin.sty to geometry.sty (Jug)
- changed also the configure-stuff from vmargin to geometry (Jug)
- fixed bug in lyxrc which does not know about PaperPackages like a4.sty
  look at system.lyxrc for info (Jug)
- added the function CheckToken to lyxlex (I need this) (Jug)
- added the File LaTeXLog.C (guess for what) (Jug)
- added the not activated View Latex-Logfile (Jug)
- improved (?) the code for FontSize and PageStyle textclass options (JMarc)
- cleaned up the code to run LyX in place (JMarc)
- updated BUGS.lyx (JMarc)
- Several mathed bugs fixed.  (Alejandro)
- Improved column alignment in math mode (insert tabs with C-Tab).  (Alejandro)
- Enabled cut & paste between different insets in math mode.   (Alejandro)
- Preliminary support to define interactively macros with two new
  functions "math-macro <name> [nargs]" and "math-macro-arg #". (Alejandro)

since 0.11.23
- New (proof-of-concpet) bannerscreen. (Asger)
- Implemented two new commands:
  layout-copy	Copies current paragraph environment type
  layout-paste	Pastes paragraph environment type
  Bound to "ctrl-C" and "ctrl-V" in pcmodern.bind. 
  Bound to "m-W" and "ctrl-Y" in emacs.bind (Asger)
- BUGS.lyx updated to lyx format 2.14. (Asger)
- Fixed problems with missing text after footnotes. (Asger)
- Small fix in math font handling. (Asger)
- LString documentation improved. (Asger)
- Fixed stupid bug with font attributes and changing of layout. (Asger)
- Smallcaps made smaller on screen. I'm not sure it's exactly like LaTeX, but 
  it's pretty good. (Asger)
- Added "latin5" to Input Encoding option as H. Turgut Uyar requested. (Asger)
- Reluctant change: Matthias is being phased out as primus motor.  
  I don't think it's fair to blame Matthias for the many changes
  we are doing to LyX, so I've removed his signature from the README
  file.  We owe everything to Matthias, so this is an act of respect
  rather than despect. (Asger)
- Fixed some mathed's bugs (Alejandro)
- Typing a space at the end of a math inset will leave math mode and
  insert a space in text mode.  (Alejandro)
- Extended the set of special ($%#&{}_) and ordinary (?) 
  characters in mathed.  (Alejandro)
- Added a small space to math function insets (macro-names)  (Alejandro)
- Fixed a few bugs (JMarc)
- Improved Bibtex and BibKey insets (JMarc)
- Added some font effects to file dialog and CREDITS file (JMarc)
- fixed LString::token and a bug reported by David (JMarc)
- hopefully fixed figure rotation and scaling problems (JMarc)
- some clean-up (JMarc)
- some changes to the figinset popup, not very nice yet. (Lgb)
- tried to make the lyxserver work again, it does not... however
  there is probably only small fixing needed to make it work (Lgb)
- reduced xxxinset::descent +3 to +1 (Lgb)
- small patch to filedlg posted to via@ inserted (Lgb)

since 0.11.22
- Fixed segfaults-while-saving problem (ARRae)
- lib/configure now checks for more programs; updated
  LaTeXConfig.lyx.in (JMarc) 
- renamed a few lyxrc commands for consistency (JMarc)
- unavailable menu items in the file menu are greyed-out (JMarc)
- fixed the bug killing LyX when the file menu is left open (JMarc)
- changed the depth of the icons shadow to 1 (JMarc)
- Work area now cleared and scrollbar reset after last file closed
  (ARRae)
- some general cleanup (table.h) (Lgb)
- trying to get the lyxserver working again. Not quite done yet. (Lgb)

since 0.11.21
- Redone the whole Page-Layout stuff, now called Paper-Layout (Jug)
- Changed LYX_FORMAT from 2.13 to 2.14. This is needed in order to
  be able to convert the old papersize-stuff to the new format (Jug)
- configure now checks more closely the xforms version; a few fixes
  there (JMarc) 
- the default LYX_DIR is now ${prefix}/share/lyx (JMarc)
- compiles with DEC cxx (JMarc)
- LyX is now able to read environmentvariables by reference inside the
  lyxrc-files. (Bernhard) 
- New layout tag LatexParam, currently only used to support dinglists
  in foils layout. Provides arguement for environments or commands (ARRae)
- began writing new multirun algorithm (see LaTeX.C) (Lgb)
- included small fix posted to list (Lgb)

since 0.11.20
- Small fixes and clean-ups here and there. (Asger)
- Fixed regular expression matcher. It should be pretty good now. (Asger)
- Optimized screen drawing: LyXText::Draw is twice as fast as before. (Asger)
- Optimized rebreak: 2.8 times as fast on UserGuide.lyx. (Asger)
- Added method "token" (similar to strtok) to LString. (Alejandro) 
- New layout tag ClassOption, currently only used for foils' font
  sizes. Doesn't affect standard layouts. (Alejandro)
- Added "default" to pagestyle and fontsize strings. If default
  is used no LaTeX code has to be written. This should be extended
  to other document options.  (Alejandro)
- Fixed some bugs to make bibliography more usable, finished  support
  for nonnumeric bibkeys, added arguments for cite and bibtex
  commands.  (Alejandro)
- Make sure default screen is not larger than monitor (Asger)
- Improvements in font handling. (Asger)
- Massaged LaTeXConfig.lyx.in a bit. (Asger)
- Make LyXLex \r compatible to help OS/2 port. (Asger)
- Fixed centering bug for DYNAMIC margintype (Section, subsection..) (Asger)
- Improved error control in reading of layouts, toolbar, lyxrc. (Asger)
- Fixed a bunch of very old errors in layout files. (Asger)
- Added support for iso8859-9 (turkish) screen fonts. (HTU)
- one line fix in LaTeX.h to make error insets work again. (Lgb)

since 0.11.19
- Tiny fix to configure for xforms 0.86; another tiny fix to sos.* for
  compilers that do not have a real bool type. (JMarc)
- updated lib/configure to check whether your latex program is really
  LaTeX2e; added checks for vmargin.sty and setspace.sty, along with
  documentation in LaTeXConfig.lyx.in (JMarc)
- \ and " are now output using \char when possible. This is better
  understood by the various LaTeX to HTML converters (JMarc)
- Fixed display of Noun and Emph logical font attributes. (Asger)
- In typewriter family fonts, all blanks are generated as "~" in the
  LaTeX file. Other improvements in LaTeX generation. (Asger)
- Added new files: ANNOUNCE, WHATSNEW and UPGRADING to prepare for 0.12.
  Notice that those files are only drafts and ANY comment or request for change
  is asked for. (Asger)
- Misc. fixes. (Asger)
- Finally corrected cosmetic bug introduced in 0.11.13 by me. It turns out
  that the original kernel was bugged with a great performance penalty as a 
  consequence.  Now, things should be correct and fast. I think this explains 
  why some people have reported bad performance with remote X servers. (Asger)
- Make LyX work with xforms 0.86. Required a little hacking. Primary benefit:
  LaTeX Preamble features scrollbars :-) (Asger)
- Small clean-up in mathed font size selection. (Asger)
- Fixed bugs in automatic system directory detection. (Asger)
- Inserted handling for Vmargin.sty with new Layout-Page-Menu (Jug)
- two small fixes from lyx@via inserted (Lgb)
- added Index List to Insert menu (Lgb)
- added a (nonworing) command to Edit: Show LaTeX Log (Lgb)

since 0.11.18
- update lib/configure to allow running LyX from the build directory;
  it is rather a hack, so tell me if it works (JMarc)
- change \epsfig to \graphics in the generation of lyxrc.defaults; fix
  lyxrc.C to allow reading it (JMarc)
- a backslash is now output as \textbackslash. (JMarc) (Is it?)
- Updated BUGS.lyx (JMarc)
- updated lyx_debug_level everywhere to use lyxerr instead. (Lgb)
- also changed a lot of fprintf(stderr... to lyxerr->print(... (Lgb)
- begun writing of a validate func. (Lgb)
- added a "Comment" style to some of the layouts. This use the 
  "verbatim.sty" This is the easy solution, if we want a better solution
  we can do that later. (Lgb)
- added support for setspace.sty It is not complete however, missing 
  are support for arbitary spacing and per paragraph spacing. (Lgb)
- some more cleanup (moving of enums from definitons.h) (Lgb)
- two unused functions in lyx_cb.C removed. (Lgb)
- small update to vspace.[hC] (enums) (Lgb)
- Except for "../images/", LyX compiles with only one warning with -pedantic.
  (Asger)
- Implemented "Increase" and "Decrease" size options in character style
  pop-up. Font size names changed to match Rich's second proposal. (Asger)
- Bug fixes in new font code: color should work correctly, LaTeX generating
  bug fixed and improved, reading and writing of underbar correct, and a
  few other fixes. All in all, the new font code seems pretty stable now. 
  (Asger)
- Added monitor dpi setting to lyxrc. LyX autodetects this, but it's 
  overridable using the "\dpi integer" lyxrc command. This setting is
  used for calculating the size of fonts and vertical spaces. Because
  of this, the default zoom factor has been changed to 150% so the fonts
  are readable. (Asger)
- LyX system directory normalized to reduce "/p1/../p2/" to "/p1/p2/". (Asger)
- LyXGUI is initialized before documents are loaded, unless "-nw" is
  given. The reason is that XForms have to parse the command line before
  we know what arguments are documents and which are not. Also, we have 
  GUI warnings and error boxes unless the user specified -nw.  As a different
  side-effect, this fixes lots of bugs. (Asger)
- Added "\document_path" lyxrc command. (Asger)
- All lyxrc commands that supply paths understand "~/" now. (Asger)
- Removed BUGS.lyx from root dir. If you want to read it, you have to
  start lyx, and then it's easier to fetch it under the Help menu. 
  Redundancy is bad. The bug file in lib/doc updated. (Asger)
- included part of the OS/2 patch and added support for a
  os2_defines.h header file (JMarc) 
- lib/configure now generates a file packages.def containing the list
  of LaTeX packages that have been found ; a few fixes (JMarc)
- Help files are not added to the last files list in the 'Files' menu
  (JMarc)
- support for inputing latin1 characters using the keyboard's compose
  key (JMarc)  
- Mathed changes (a lot):   (Alejandro)
  o More natural structure of paragraphs to make easier the introduction
    of selection, macros and possibly a good font renderer in a future.
  o Removed several hacks. Now the design is cleanner but the cleanup
    of the code is not yet finished.
  o Fixed several reported bugs and implemented some suggestions.
  o Renaming to be consistent with the rest of the names. Now the mostly 
    used prefix is "Mathed".
  o Builtin macros "binom", "cases", "substack" as a first step toward
    minimal AMS support.
  o Improved selection: multiline, multicolumn. Still some details have
    to be fixed (sometimes it pastes wrong number of columns).
  o Removed pixmap and file from math-inset parameters. That could be 
    non-threads safe (depending on how threads be implemented).
- new versions of the docs included so that they will reach a bigger
  audience (Lgb)

since 0.11.17
- 30% speed-up on rebreak gained yet again after profiling :-) (Asger)
- Layout file system changed: The default font can be declared with the same
  syntax as other fonts. Use the "DefaultFont" directive. This supercedes
  the obsolete "defaultfamily", "defaulshape", ... directives. See
  "article.layout" for an example. (Asger)
- Some memory "profiling" reduced executable size from 711k to 675k :-) (Asger)
- Font handling clean-up continued:
  - Font representation changed to mega fast bit table.
  - Old bugs with inheritage of font features in nested environments fixed.
  - LaTeX font change generation changed to use the \textXX{ } variants.
 (Asger)
- Use "\the_end" marker to mark the end of a file. Now ReadLyX2Format reports
  whether the reading of a document is complete or not for lyx-format >=2.13. 
  (Asger)
- Finally got totally rid of the old math mode. (Asger)
- Font handling cleaned up. Bugs fixed, bugs introduced. This is work in
  progress. Don't report bugs. (Asger)
- Color font property added. Work in progress. (Asger)
- Font zoom handling changed to use zoom directive that specifies how
  many percent increase in size, you want. Font size handling changed to
  use floats internally for better accuracy. (Asger)
- "ref-insert" renamed to "reference-insert". (Asger)
- "buffer-load-auto-save" renamed to "buffer-open-auto-save". (Asger)
- (Updated) Bugs file added under Help menu as "Known Bugs". (Asger)
- Only show TOC pop-up with Reference guide. (Asger)
- Bug with Insert LaTeX figure hacked around. (Asger)
- 30% speed-up on rebreak after profiling results. (Asger)
- LString representation extended with length field. Now LString::length() is
  extremely fast, inlined constant time. Abuse as you wish. 
  Global srep made local to LString class. (Asger)
- Delay after breaking paragraphs decreased. (Asger)
- Let scrollbar slider fill entire work area when no document is open. (Asger)
- Prevent rebreak when only y coordinate changes. (Asger)
- Prevent crashes when doing stuff on empty work area. (Asger)
- Hundreds of functions changed to use LString const&. (Asger)
- LString speed and memory usage improved. (Asger)
- LString bounds checking removed for non-development releases. (Asger)
- Bugfix in LString::regExp(). "*ab" matches "aab" now. (Asger)
- Various clean-ups. (Asger)
- Bug fix in buffer.C regarding writing of preamble. Lars, we did not
  consider case 0, so it was bugged after all :-) (Asger)
- introduced a class FilePtr to be used instead of FILE* (Lgb)
- made a BufferView class (Lgb)
- got rid of OpenFile OpenAllFile and CloseFile in file.[hC] (Lgb)
- cleaned up FD_form_main a bit. (Lgb)
- added a \noun command to lyx.sty (will do for now) (Lgb)
- moved screen (pointer) from class Buffer to class BufferView (Lgb)
- changed the class LyXScreen representation to have a pixmap per object.
  This introduced some bugs... However either the LyXScreen must have the
  Pixmap as a private variable or the BufferView must have it, eitherway
  it cannot be a shared variable among all the LyXScreens. (Lgb)
- moved some funcs from lyx_cb to BufferView (Lgb)
- moved a couple of funcs from Buffer to BufferView (Lgb)
- the title form is now double buffered and the popup time is reduced to
  10 secs (from 15) (Lgb)
- MenuOpenByName fixed and renamed to openByName() (Lgb)
- small buf in LaTeX::run() fixed. (Lgb)
- LaTeX if now run only once if no more is needed. (Lgb)
- got rid of form1.C.patch. (Lgb)
- probably some more that I don't remember. (Lgb)
 
since 0.11.16
- added detection of the ec fonts in lib/configure; fixed a few bugs
  there (JMarc)
- new method LString::subst for strings. Hope I implemented it
  correctly (JMarc)
- LexRC::printError() now understand a special string $$Token, which
  is replaced by the current token; used this in various places to
  simplify code  (JMarc)
- most of minibuffer.C interface uses LString now; did the same for
  lyx_gui_misc.C and rewrote a bunch of WriteAlert() and
  minibuffer->Set() calls. (JMarc)
- new function TmpFileName() which interfaces mktemp() (JMarc)
- Fixes to the epsfig handling; the option 'none' is now understood in
  addition to 'default'. (JMarc)
- A few changes in the Makefiles to help the OS/2 port; removed the
  -devel thing in configure  (JMarc)
- Optimized a lot of code after profiling a lyx run with loading of a very big
  document (The Return of Sherlock Holmes). 15% speed-up gained :-) (Asger)
- Small fixes. (Asger)
- Enhanced droplist combox so that you can drop the choices by clicking
  on the text field also. (Asger)
- made a lot of function into member functions of LyXFont (Lgb)
- changed the font loading algorithm a bit, to cope with non
  existant fonts (Lgb)
- fixed a bug in toolbar.C reported on lyx@via (Lgb)
- a lot of font handling updated to use enums instead. (Lgb)
- Make spellchecker work again from menu. (Asger)
- LyX prompts an error if closing a file after saving fails. (Asger)
- Bugfixes in file browser. (Asger)
- Changed LyXLex specs a bit to bug-fix document reading. Bug-fixed 8-bit
  behaviour. (Asger)
- Finished (almost) bibliography support using insetbibkey and a bibref list 
  is updated everytime a cite is edited. Changes marked with ale970302,
  looks like a hack until a further cleaning of the code.(Alejandro)
  
since 0.11.15
- Fixed bugs with accented chars. (Asger)
- Fixed bug that caused |h|o|r|i|z|o|n|t|a|l| lines. (Asger)
- Various clean-ups. (Asger)
- Prepared LyX for use with XForms 0.84. (Asger)
- Fixed problem with labels and -Mono switch. Labels are palegreen now. (Asger)
- fixed the layoutchoice (Lgb)
- began rewrite of intl.[hC], kbmaps are now completely broken (Lgb)
- some fixing on accents, more is needed. (Lgb)
- made buffers keep a list of bufferViews (not fully implemented) (Lgb)
- the menu is now shorter and the layout choice does not show anything
  when no document is loaded. (Lgb)
- the gui init is now last of the inits. This means that no gui is involved
  before late. We can now begin to implement command line switches like:
  o  -nw   (no-window)
  o  -f <func>   execute function (this can only be a subset of functions)
  should be possible to do something like: lyx -nw -f print foobar.lyx  (Lgb)

since 0.11.14
- made preliminary index generation using makeindex work. (Lgb)
- Fixed determination of LyX system dir using $PATH if necessary. (Asger)
- LyX allows spaces in document filenames now :-) (Asger)
- Almost implemented Apropos command, except that I don't know how to get
  the lyxfunc from a global function (see help.C). (Asger)
- Renamed docu.[Ch] to help.[Ch]. (Asger)
- Moved help text from toolbar to LyXFunc::helpText(kb_action). Now, when
  you implement a new command, please add a help-text entry to the table in
  lyx_func.C. Many commands still need better help texts. Later, this
  table can be used to create pop-up menus. (Asger)
- Changed ranges allowed for LString::operator[]: It is not legal to
  access implicit null character at end of string. (Asger)
- Assorted clean ups. (Asger)
- Finished what Jean-Marc started: removed special seperator and
  layouts functions for toolbar. Use the "\layouts" and "\separator"
  commands instead. (Asger, Lgb)
- LyXlex made more robust: reports errors if lines are too long
  instead of crashing. (Asger)
- Fixed Ascent and Decent in a lot of inset because of the above change.(Lgb)
- Some changes that seems to revert recent Lars' changes, but this is
  a dialectic process.  :-)   (Alejandro)
  o No more need to cast (char const*) from long in Dispatch 
    (the only action that had been forced to pass a non-char* argument 
     (menu->buffer-write), in fact doesn't accept any argument.) ;-)
  o action methods agruped in a new class LyXAction. lyxaction is
    one of the very few objects that deserves to be global.
  o keyseq is part of the internal state of lyxfunc, should not be separated.
    however, keymap can be separated. so I removed bind.C.
  o removed several globals, including dispatch variables that are not
    used outside Dispatch.
  o more unbroken minibuffer; it displays options again and server actions
    can be invoked from the minibuffer
  o some bugs that caused segf when creating toolbar fixed.

since 0.11.13
- added a method LexRC::printError() for printing error messages
  during file parsing; used it in lyxlex.C, layout.C and lyxrc.C  (JMarc)
- Changed toolbar.C to use LString and lyxerr; updated lyxrc (JMarc)
- Changed most occurences of LyXLex::text() to LyXLex::GetString() (JMarc)
- fixed the handling of -g in configure (JMarc)
- fixed the handling of <>|\ for T1 fonts (JMarc)
- unbroke the minibuffer. (Lgb)
- unbroke (almost) the toolbar, some work still needed. (Lgb)
- unbroke keybindings, some work still needed. (Lgb)
- general cleanup + small fix in the bindfiles. (Lgb)
- made lyx backwards compatible with respect to bar (Lgb)

since 0.11.12
- Some cleanups in buffer.C (JMarc)
- The minibuffer is updated when there is a buffer switch; the
  filename now uses MakeDisplayPath (JMarc). 
- "Up" is now "Upright" in the Character Layout dialog ; the font
  encoding now correctly defaults to "default"  (JMarc)
- Created the function LibFileSearch() to read library files, and used
  it in several places (JMarc).
- lyxrc.defaut is now automatically read before lyxrc (JMarc).
- fixed a bug in AddPath() when one of the paths is empty (JMarc)
- Allowed again CXXFLAGS to be overriden in configure (JMarc)
- Fixed the appearance of the LyX banner (JMarc)
- Fixed a bug in \lyxtitle{} that I introduced earlier in a so-called
  "cleanup" (JMarc)
- mini-patch in FileInfo.h (jug)
- changed the Document Save Window added Cancel Button (jug)
- Fixed code generation for "--" in typewriter mode to "-{}-". (Asger)
- Obsolete "modern" font state removed. (Asger)
- Micro improvements and bugfixes in lyxrc. (Asger)
- Micro speed- and clean-up by defining LyXFont x = LyXFont... method. (Asger)
- Big performance boost when typing at the end of a paragraph obtained
  by ignoring obscure special case. The code is bugged, but I don't
  understand it enough to fix it. Matthias, can you help? (Asger)
- New InsetCommand class, a smarter InsetLatex.  (Alejandro)
- Preliminary bibliography and BibTeX support using InsetCommand. (Alejandro)
- got rid of three more global variables. (Lgb)
- moved a few funcs out of file.C (Lgb)
- replaced the bar in LyXFont with misc, should be easy to do things like
  crossout or strikethrough now. (a bit buggy yet) (Lgb)
- fixed lyx.fd so that lyx.C.patch is not needed anymore. (Lgb)
- renamed LyXBufferView to LyXView. (Lgb)
- moved the toolbar inside LyXView. (Lgb)
- moved LyXFunc inside LyXView. (Lgb)
- added lots of bugs related to the above changes... (Lgb)
- disabled lyxserver needs some rewrite to function. (Lgb)
- broke the customiable toolbar. If you have your own toolbar
  comment it out for the time being. (Lgb)
- broke all bindings, this should be worked on quite fast.
  However I decided to release a broken bind anyway. The next
  release should come pretty quick. (Lgb)
- renamed LString::isNull and LString::notNull to isEmpty and notEmpty (Lgb)
- broke execution of commands from the minibuffer. The minibuffer should
  be moved into LyXView. (Lgb)
- broke math_panel, it asumes global lyxfunc. Fix is needed. (Lgb)

since 0.11.11
- fixed a stupid bug with <>| (JMarc)
- included Alejandro's small mathed patch. (Lgb)
- made a new class FileInfo, use this to get info about files (Lgb)
- make LyX use #foobar.lyx#, foobar.lyx~, foobar.lyx.emergency (Lgb)
- some cleanup and rewrite in filedlg.[hC] (Lgb)
- got rid of symgen.[hC] Finally!! (Lgb)
- deleted lyxparameters.[hC] (Lgb)
- added Id to all object files. (Lgb)
- check to see if autosave file is newer upon loading a file. (Lgb)
- some cleanup in lyx_cb.C and lyx.h (Lgb)
- fixed a bug in LaTeX::run()/LaTeX::deleteAllFiles() (Lgb)
- Use LString in vspace.[Ch]. Updated all callers. (Andre)

since 0.11.10
- Replaced the documentation file browser by several menu items. The
  files are searched first in user_lyxdir/doc; in particular,
  LaTeXConfig.lyx is found at the right place. (JMarc)
- Added more languages to the languages liste to be up to date with
  babel 3.6 (JMarc)
- Corrected the output of <>|\ in typewriter font; replaced \(..\)
  contructs with \ensuremath{..}}, since this is not fragile. Commented
  out code that conflicts with latin2 encoding. (JMarc)
- Removed the warning when the user_lyxdir/lyxrc file does not exist. (JMarc)
- Completely rewrote the configure script in lib/; it creates a new
  lyxrc.defaults file instead of generating the whole lyxrc. This is
  however useless until LyX reads this file (JMarc).
- Fixed GetBool bug. Sheesh, this is an old one. Wonder why nobody
  noticed... (Asger)
- Fixed bugs in NameToPath() and FileOpenSearch(). (Asger)
- Implemented spellchecker lyxrc commands. (Asger)
- Man page updated. (Asger)
- Included the relevant parts of Petr Mejzlík's latin-2 patch. (Asger)
- Updated lyxrc. (Asger)
- Implemented reconfigure command that starts configure in user lyx
  directory and reloads lyx.defaults. (Asger)
- README updated to new scheme and rearranged such that the most important
  stuff for a general user is at the top. (Asger)
- \input command changed to search current directory, user lyx dir and then
  system lyx directory. This has the nice side-effect that lyxrc.defaults
  is read. (Asger)
- \bind_file command changed to search in user lyx bind dir and then in 
  system lyx bind dir. (Asger)
- Removed \lyx_layout_lib lyxrc command. (Asger)
- Changed the ~/.lyx creation process as Jean-Marc suggested. (Asger)
- Changed ~/.lyx dir to be hardcoded, i.e. never ~/.lyx-devel/. (Asger)
- Copyright & Warranty missing display fixed. (Asger)
- Search paths changed to new  ~/.lyx/ scheme: $User/dir;$LyX/dir. (Asger)
- A lot of real fixes that help the OS/2 port without hurting us. Most of 
  these changes were present in slightly different form in a patch S. Miyata
  prepared. I suggest that S. Miyata prepares a new OS/2 patch with inclusion
  into the main LyX source distribution in mind. It will hopefully be a lot 
  smaller now, and thus no problem for unix LyX. (Asger)
- Removed pedantic question "Are you really sure you want to quit?" (Asger)
- Finally fixed reading error (and removed the strip thing). (Asger)
- Bumped LYX_FORMAT to 2.11. (Asger)
- Fixed file browser in connection with Save As. (Asger)
- A few bug fixes in menus.C and lyxfunc.C. (Asger)
- A few changes and suggestions for LString use in lyx_sendfax_main.C. (Asger)
- Toolbar and scrollbar buttons are borderwidth -2 to provide visual 
  feedback. (Asger)
- Copyright and Warranty options merged into one new form. (Asger)
- Credits form text wrapped to meet Jean-Marc's system's demands. (Asger)
- Document, spellchecker and paragraph forms size fixed. (Asger)
- Updated the Ascii-Export and Fax-Support to use LString (Juergen)
- Corrected some bugs in Ascii-Export introduced in 0.11.x (Juergen)
- Remade the Fax-Support-Form to be equal as the other forms
  in LyX (fixed also the FL_CANCEL, for closing form) (Juergen)
- Bug concerning LinuxDoc: Now enumerate and itemize at document-end
  ok. (Bernhard)
- Wrong written 0-Bytes eliminated (Bernhard)
- Bug that caused crash on start-up fixed. (Asger)
- New commands added:
	buffer-fax
	buffer-make-nice-latex
	buffer-make-linuxdoc
	buffer-make-ascii
  Keybindings added. (Asger)
- Started to implement .lyx directory handling. This is incomplete and
  results will be bad. (Asger)
- Label bugs in keyboard form fixed. (Asger)
- Filedialog keyboard handling and close handling rewritten. This
  required quite a few changes and a dirty timer hack because of
  missing xforms modal dialog features (it would have been a snap
  with Qt). Result is that the file dialog is perfect :-) (Asger)
- If you specify a pattern starting with a ".", the file dialog will
  show hidden files (impossible to get such before). (Asger)
- Improved display of long filenames in pop-up dialogs. (Asger)
- Possible to load any filename. (Asger)
- Fixed sources for "config.h" errors, and now the #undef __STRICT_ANSI
  thing works. No warnings when compiling :-) (I didn't fix the
  configure bug that comments out the #undef directive) (Asger)
- Small fix in lyx_cb.C
- Fixed phonebook bugs introduced in my last patch
- Put default path for phonebook to $(HOME)/.lyx/phonebook [user_dir]
- Fixed the above #undef directive and a few other things (JMarc)
- Finished the implementation of .lyx directory handling. A few
  problems remain; renamed system.lyxrc to lyxrc (JMarc) 

since 0.11.9
- Font size in all forms changed to FL_NORMAL from FL_MEDIUM to correct
  problems. (Asger)
- When you run "lyx filename.lyx" where filename.lyx does not exist,
  LyX asks if you want to create a new document with this name. (Asger)
- MenuNew and MenuOpen more intelligent. (Asger)
- MenuSaveAs more intelligent and uses file browser. (Asger)
- Fixed a bug which caused problems with the default background 
  and selection colors. (Asger)
- Implemented three new commands:
        buffer-typeset-ps: Updates PostScript file.
        buffer-new-template: New file from template.
        buffer-reload: Revert to saved file
  The buffer-new command has been changed to not ask for a template.
  The item "Run LaTeX" in the file menu has been renamed to "Update dvi".
  The buffer-typeset-ps has been added to the file menu as "Update PostScript".
  The buffer-reload has been added to the file menu as "Revert to saved".
- File menu entry Quit renamed to Exit again. This is what Motif, Windows,
  OS/2 and KDE applications uses. Why shouldn't we? (Asger)
- Keybindings updated. (Asger)
- Bug when inserting an empty label name fixed. (Asger)
- lyx_cb.C restructured and somewhat cleaned up. (Asger)
- Main form layout slightly changed. Now, it's not as compact as before, and
  the scollbar is closely attached to the work area and has a new improved
  appearance. Also, a hack makes it possible to position the toolbar where
  the coder wants (previously, it was hardcoded). (Asger)
- Re-implemented the borderwidth -1 setting which got lost in the patch
  plethora (this time it's a global border-width). (Asger)
- A few not-so-good things about Robert's patch fixed: 
	<lyx_cb.h> -> "lyx_cb.h"
  and LyX would hang if the spellchecker was closed when a session was 
  started. Now, the spellchecker ignores the close-request (temporary
  remedy). (Asger)
- began cleanup that shall lead to multiple frames and buffer visible
  at the same time. (Lgb)
- changed parameter list to lyxfunc Dispatch(char const*, long) so that
  almost everything can be passed as argument (perhaps this should have 
  been void* (Lgb)

since 0.11.8(-2)
- #undef'ine __STRICT_ANSI__ when gcc is used to work around -ansi
  problems. (Jean-Marc) 
- Fix the code that finds gcc's default include path. (Jean-Marc)
- add a new flag --with-gcc-hack to configure to allow re-compilation
  without optimization after an error. (Jean-Marc)
- remove a few unused files. (Jean-Marc)
- Updated README file. (Asger)
- Comment about -sDEVICE=x11alpha in system.lyxrc.in added. (Asger)
- Help text updated with the new -xpos and -ypos parameters. (Asger)
- Fixed small bug that occured if you provided background_color, but not
  selection_color. (Asger)
- Made margins in the main window smaller so that the editing area is
  bigger. Should improve usage on small screen. (Asger)
- Fixed wrong \ps_renderer command. Now it's renamed to \ps_picviewer and
  system.lyxrc.in has been updated accordingly. Thanks for Jean-Marc for
  discovering this one. (Asger)
- Math hard-space display bug fixed. (Asger)
- Renamed latex.[Ch fd] to latexoptions.[Ch fd] to avoid namespace conflict
  on case-insensitive platforms (OS-2). (Asger)
- A few other small fixes. (Asger)
- Moved CREDITS file to lib/ directory. Makefile.in updated. (Asger)
- Updated man page. (Asger)
- All forms redesigned to be 100dpi compatible and usable on 640x480 
  displays. Many forms are now smaller. (Asger)
- Cross-reference dialog improved. (Asger)
- Valsliders in document form changed to counters. (Asger)
- Graphics for math decorations improved. (Asger)
- New spellchecking option: Input Encoding option for ispell. (Asger)
- Use "visual: default" instead of the "depth:8" which caused problems.
  I think this solution is better than "depth:best" which introduces
  warnings on my display. I hope this works for everybody. XForms
  does not provide good support in this area. (Asger)
- Implemented new options: -xpos and -ypos that specify where the
  main form should be positioned. You have to specify both x and y 
  before the position is used. Negative positions are ignored. 
  If no valid position is specified, the default is to center the main form.
  Remember that all command line switches can also be given as X
  resources. Now I happily have
      lyx*width: 1016
      lyx*height: 712
      lyx*xpos: 0
      lyx*ypos: 0
  in my .Xdefaults. (Asger)
- The file dialog does not display hidden files. (Asger)
- Created two functions in lyx_cb.C: CancelCloseBoxCB() and 
  IgnoreCloseBoxCB() that do nothing and return FL_CANCEL and
  FL_IGNORE resp. Added lots of fl_set_form_atclose() calls (one
  for each form) to protect LyX from being killed when a dialog's
  close box is pressed. In most situations CancelCloseBoxCB is 
  hooked in, which is like pressing the Cancel button. In some
  situiations, however, IgnoreCloseBoxCB was used (fax and file
  dialogs), because using the Cancel variation resulted in strange
  behavior. The authors of fax and file dialogs should look into
  it. (RvdK)
- Couldn't help it. Once again changed the GUI depth from 2 to 1 
  pixel. I promise I won't change it again, so if you don't like 
  it, replace the -1 in -2 again in LyXGUI::setDefaults(). (RvdK)
- replaced int FontEqual(...) with bool operator==(...) (and !=)(Lgb)
- cleaned up a little namespace pollution (Lgb)

since 0.11.7
- Finally implemented MakeDisplayPath and RegexpMatch so that the
  pattern in the filebrowser is respected. Also, links are
  displayed correctly in the filebrowser now. 
  Now it seems that the introduction of LString to all path and
  filename stuff has been completed. (Asger)
- Fixed a bug in the fileselector. (Asger)
- Implemented \ps_renderer lyxrc command to allow setting of which 
  program to use for rendering postscript pictures. (Asger)
- Implemented \ps_viewer and \dvi_viewer lyxrc commands to allow
  setting of which programs to use to view postscript and dvi files
  respectively. The \dvi_viewer command make the old xdvi_options
  command obsolete. system.lyxrc updated to reflect all of this.
  Also updated menus to reflect this. 
  *NOTICE* Change of short-cut keys in file menu. (Asger)
- Fixed determination of LyX system dir as Jean-Marc suggested. (Asger)
- Fix bugs in Makefile.in regarding make bindist. (Asger)
- Fixed few bugs in man page. (Asger)
- New way of determining the LyX system directory: (Asger)
 	// Directories are searched in this order:
	// 1) LYX_DIR environment variable
	// 2) path of binary/../
	// 3) path of binary/../lib/name of binary/
	// 4) hardcoded lyx_dir
	// The direcory is checked for the present of the file
	// "chkconfig.ltx", and if that is present, the directory
	// is accepted as the system directory.
	// If no chkconfig.ltx file is found, a warning is given,
	// and the hardcoded lyx_dir is used.
- New command line options: -help and --help (Asger)
- Small bugfixes. (Asger)
- moved the files around to reduce the clutter in the main directory;
  removed some old files. (Jean-Marc)
- moved the data files in the lib/ directory. Changed the directory
  search rule 2) above to "path of binary/../lib" (Jean-Marc) 
- implemented the new and improved configuration tool in
  lib/. (Jean-Marc)
- added a replacement for the strerror() function for SunOS 4.1.[123]
  (Jean-Marc and Stephan) 
- added -ansi has a default gcc compile flag (Jean-Marc)
- minor bug fix in buffer.C (Jean-Marc)
- output characters [, ] and * between curly braces to avoid problems
  with optional arguments (with e.g. \item and \\) (Jean-Marc)
- small cosmetic changes in lyx_sty.h (Jean-Marc)
- Added new document parameter "Default Skip".  Used for parskip when
  separation method is "skip"; and for individual detached paragraphs 
  when separation method is "indent".  Added new user functions 
  "break-paragraph-skip", "delete-backward-skip", "delete-forward-skip", 
  for easy input of detached paragraphs. (Andre)

since 0.11.6
- Some of the stuff that Shreeniwas redone or reversed because of
  problems with other compilers. (Asger)
- Some work done to use Error-class. (Asger)
- Spellchecked a bunch of files, and cleaned README as Alejandro
  suggested. (Asger)
- Shreeniwas Sapre const-char cleaned LyX and some other stuff.
- Fixed a bunch of bugs, and now even the fileselector works. (Asger)
- removed support for old lyx format. (Lgb)
- fix in NameToPath (caused index error) (Lgb)
- removed a couple of leaks. (Lgb)

since 0.11.5
- 80 files changed to use LString more. A number of bugs fixed, and
  a number of bugs introduced.(and removed) (Asger)
- added rotation of wysiwyg-figures. (Henner)
- Tried to fix (again!) the interaction between " and german styles (Jean-Marc)
- Cosmetic changes to paper.layout (Jean-Marc)
- Added "glue" to LyXLengths. In the Layout Paragraph dialog, Vertical
  Spaces, you may write now: "1cm +4mm -2mm", "1+0.1-0.2 in", or
  "10+-2pt", for example. (Andre)
- Fixed some bugs related to the introduction of "char const*".  (Alejandro)
- Back to don't skip a char to leave mathed with arrow keys. (Alejandro)

since 0.11.4
- Converted to LString, documented and bugfixed inseterror, insetinfo, 
  insetlatex and insetlatexdel, and some other small stuff. (Asger)
- Changed way of opening insets from doubleclick to singleclick. Now
  doubleclick is only used for selecting words, and everything is
  logical IMO. (Asger)
- added `-devel' suffix to the name of LyX binary and LYX_DIR for
  development version. Bug fixes to configure (Jean-Marc)
- several changes here and there to help compile with DEC's cxx, which
  looks very picky. (Jean-Marc)
- Enhanced layout paragraph dialog, disallow illegal input. (Andre Spiegel)
- switch from "const char *" to "char const *" (Lgb)
- more stringificaton and lyxlexifications (Lgb)
- added a bug that won't go awat :-( (Lgb)

since 0.11.3
- Implemented new display of optional hyphens: a small red dot
  and converted insetlatexdel.[Ch] to use LString. (Asger)
- Fixed a number of LString bugs in insetlatexaccent.C. (Asger)
- Fixed a typo in lastfiles.C. (Asger)
- obviously very last kernel-bug fixed ;-) (Matthias) (0.10.8)
- Enhanced Vertical Spaces in the Layout Paragraph dialog. (Andre Spiegel)
- Added more units to LyXLength + other small changes (Lgb)
- LyX can now be built for several architectures simultaneously, as
  long as your Makefile understands `VPATH' (Jean-Marc)
- small configure fixes (Jean-Marc)
- LString fix and addons (Lgb)
- fix to layout combox (LyX)
- some more changes to InsetLaTeXAccent (Lgb)
- implemented algorithm for multiple LaTeX runs (Lgb)
- switched to autoconf 2.11. Things are somehow cleaner, but there
  might be new bugs (Jean-Marc). 
- 'make depend' now uses X11's makedepend by default (Jean-Marc)
- commented out the 'abstract' layout in book.layout (Jean-Marc)
- lyx now uses lyxlex to do the file reading (almost), however I have not
  been able to track down all the bugs, so please help (Lgb)
- also recursive decent through the paragraphs when printing (Lgb)
- a new function in lyxlex nextToken (Lgb)
- fix in Makefile.in to make (gnu)depend work. added -I../images (Lgb)

since 0.11.2 
- Implemented two new lyxrc commands: (Asger)
    \num_lastfiles int -> defines the maximal number of lastfiles
    \check_lastfiles bool -> should the lastfiles be checked for existance?
- Small changes in comments in system.lyxrc. (Asger)
- Changed default width of Ascii export from 80 to 75. (Asger)
- Implemented display of current document's filename in window title. For
  this, I introduced a new file: lyx_gui_misc.[Ch] where different,
  simple GUI specific routines should go. (Asger) (not used yet)
- A bunch of spelling errors in comments all over corrected. (Asger)
- New info in README: how to submit a patch, other internet resources.
  More finetuning. I'm getting tired of README :-) (Asger)
- Bugfixes in lastfiles. It should be pretty robust now. (Asger)
- Changed behaviour on how to open floats like footnotes and margin notes:
  Now such are opened with a single left click instead of a double click.
  That's easier and IMO more logical. (Asger)
- File menu changed back to New, Open... as it should be. (Asger)
- Added warnings to lyxlex, so that bad integers, floats and boolean are
  reported to the user. True is still false to LyX, but now the user is
  told. (Asger)
- Small fixes to lyxfunc (not yet finished) (Alejandro) 
- Added documentation for mathed (Alejandro) 
- Fixed a small bug in LString that caused a segfault
  at starting (Alejandro) 
- Small enhancements to the doc support: unified the directory names using
  srcdoc, modified makepatch to avoid srcdoc dir, changed a line in paths.h
  that caused a 20MB image, etc.   (Alejandro)
- re-applied a patch to configure that I managed to delete (Jean-Marc)
- moved the configure stuff to config/; added a new option
  --with-extra-prefix to configure. (Jean-Marc)
- fixed the bugs introduced by the above patch :-P (Jean-Marc)
- RunLaTeX() moved to Buffer (Lgb)
- new operators for LString (Lgb)
- Bugs fixed in LString (needs still work) (Lgb)
- LyXTextParameters does no longer exist (Lgb)
- All inset classes now have their own files (Lgb)
- insetlatexaccent modified is now much more strict in what it accepts.
  all kmap files updated to reflect this. Accentcode in lyxfunc also 
  modified. (Lgb)
- new accent: ogonek (terrible on screen, someone fix this please) (Lgb)
- introduced LString in a lot of new functions (Lgb)
- removed the 'W' modifier now we have `S`, `C` and `M` (Lgb)
- other small changes in lyxfunc (Lgb)
- split buffer and bufferlist into two files (four) (Lgb)
- use fwrite to print out strings in a couple of places (Lgb)
- more source documentation (Lgb)

since 0.11.1
- Updates to configure, chklatex.ltx and README files (Jean-Marc)
- Added maketitle stuff to report.layout and book.layout (Jean-Marc)
- added a temprary sting class "LString" (Lgb)
- update to amsart.layout (David)
- fix to menus.C + swaped first two items in File (Lgb)
- changed LastFiles to use the LString class + more checks (Lgb)
- lots of small fixes and shuffling of code... (Lgb)
- Created the class LyXFunc from stuff of the file "keybind.C"
  and cleaned the code at the same time. Encapsulated the functionality of
  the dispatcher, reorganized the code (the keyboard specific stuff has been
  separated from the main dispatcher). Also separated the class declaration
  from the kb_action tags.  (Alejandro)
- A new file about coding rules. Created a subdirectory in the development
  subdir for related documents.   (Alejandro)
- began using doc++ to document the sources. (Lgb)
- source (*.[HCh]) moved to src (Jean Marc, Lgb)
- more work on lastfiles.[hC] (Lgb)
- file dialog stuff (Andre)
- if you are planning  to do something tell me about it. (Lgb)

since 0.11.0
- applied the ->ascii and fax patch
- begining of more OO framwork to divide GUI from LyX kernel. (Lgb)
- some work on lastfiles.[hC] to make it GUI unaware. (Lgb)
- try to get rid of init() (in lyx_cb.C) (Lgb)
- added fix from JC 

since 0.10.7
- made lastfiles use lyxlex. (Lgb)
- began cleanup, added main.C, lyx_main.h, lyx_gui.[Ch] (Lgb)

since 0.10.6
- Created (Alejandro) and enhanced (Jean Marc) foilsTeX class.
- Updated the README file once again to make it more user friendly. (Asger)
- Added four new commands: paragraph-up[-select], paragraph-down[-select]
  that are bound to ctrl+up/down in both emacs.bind and pc-modern.bind. (Asger)
- Changed backspace & delete to use real "Cut" if we have a selection. (Asger)
- One real memory leak fixed in paths.C plus a bunch of delete[]s. (Asger)
- Updated README with info on the new organization and added a paragraph
  about the chkconfig.ltx stuff. (Asger)
- Changed spellchecker once again: Only real words are passed to ispell. 
  Words are a-z A-Z and all codes above 192. Added "ignore word" button which
  ignores the current word once. A few, hidden memory leaks fixed. (Asger)
- Fixed filebrowser so Rescan works without changing focus. (Asger)
- Updated sample.lyxrc to keep in synch with system.lyxrc. (Asger)
- Fixed non-closing macro mode bug when closing mathinsets  (Alejandro)
- Left/right keys moves 1 space the cursor after close math mode (Alejandro)
- better detection and handling of SCO in configure (Jean-Marc)
- better error handling in configure (Jean-Marc)
- new fix to autoconf to handle fussy C++ compilers (Jean-Marc)
- small color change to toolbar icons. (Lgb)
- "Reference" changed to "References" in layout files. (Lgb)
- added a Code_Rules file in development. (Lgb)
- added a few more XFlush() (Lgb)
- changed "References" to "Bibliography" in report.layout and book.layout
  according to Lamport. (Lgb)
- small cursor fixes (Matthias)
- updated chkconfig.ltx to be easier to understand and added support
  for the foils layout (Jean-Marc) 
- added support in chkconfig.ltx for the standard document classes,
  including slides (Jean-Marc) 
- the execution of chkconfig.ltx is now done at configure time instead of
  install time (Jean-Marc)
- fixed a bug with columns settings when the file is saved (Jean-Marc)
- changed some of the bahaviour in floats: empty paragraphs now is deleted,
  this also implies that you explicit much add a caption (if you don't
  edit it at once). (Lgb)
- removed some gcc specific #ifdef's (Lgb)
- initialization bug fixed in spellchecker.C (Lgb & Asger, with help :-) )
- changes to make LaTeX's thebibliography work (Lgb)
- Added support for different input encodings at ispell interface. (?)
- a cursor positioning bug in tables fixed (Matthias)
- table refinements (Matthias)

since 0.10.5
- fixed the selection stuff for the new selection-way (fast_selection false)
  for search-replace and the spellchecker (Matthias)
- highly editable insets (for example mathinsets) can be opened with 
  char-forward and char-backward now (Matthias) 
- Fixed the clear-bug with auto-delete-selection. Now it should be
  easier to fill out templates with address layouts (Matthias) 
- Added a README.new_templates. Fixes to some templates. (Matthias)
- small other fixes (Matthias)

since 0.10.4
- Fixed infinite-loop bug in paths.C   (David & Alejandro)
- Fixed small bug in mathed_init_fonts   (Alejandro)
- Added a break-paragraph when inserting display inset
  inside a text paragraph (provisional solution)    (Alejandro)
- Allow to insert things like "\alpha\alpha" in mathed's macro mode (Alejandro)
- Small clean up of Buffer.C   (Alejandro)

since 0.10.3
- Support for colored selection in math mode  (Alejandro)
- Now it's possible to unlock an inset with cursor keys  (Alejandro)
- improvements to the configure script for SCO (Jean-Marc)
- tiny updates to configure.in and chkconfig.ltx (Jean-Marc)
- more improvements to the --with-broken-const option and to 
  the binary distribution target of Makefile.in (Jean-Marc)
- fix to compile on other compilers than gcc (Lgb)
- correct the --with-two-colors bug (?)
- fixed some of the bw icons (Lgb)
- increased buffersize in NextToken in symgen.C and figinset.C (Lgb)
- added a check for NULL in MakeRelPath, this check is no good... (Lgb)
- test compiled on sgi 5.3, solaris 2.5, and SunOs 4.1.3  (Lgb)
- Smarten up the spellchecker. Now it really works with 8-bit languages
  and the "escape chars" from spelloptions are respected. (Asger)
- Bugfixes in lyxfont.C (Asger)
- support for background and selection colors. Rubbanding still
  supported by setting \fast_selection in either lyxrc or commandline
  argument (Matthias)
- fixed a very old bug that sometimes didn't let figures appear :-)  
  The selection is no more cleared when updateting insets, too (Matthias)
- fixed a bug with footnotelabels that have been printed with fixed-font since
  0.10.1 thanks to the FootColor-patch, NOT done by me... (Matthias)
- made the text-in-box insets a bit larger and drawed a rectangle around
  to look better with background colors.  Also fixed the LabelInset that 
  drawed itself over its size! (Matthias)
- changed commandline-option InsetColor to NoteColor since this
  only changed the color of the Note-Inset. (Matthias)
- small fixes in LyXText::SetHeightOfRow(...)
  for nicer screenprinting (Matthias)
- few improvements to locked inset cursor handling (Matthias)
- ran lyx through purify: no leaks (Lgb)
- stupid, but good change to LyXFont (Lgb)
- fix to Combox.C (?)

since 0.10.2 
- Fixed a display related bug. (Alejandro) 
- All binary operators and relations are displayed correctly (Alejandro)
- New command to let users modify a math font size (Alejandro)
- Implemented multiple labels for eqnarrays (Alejandro)
- Implemented a command to supress the equation number for a 
  single line. (Alejandro)
- Limited local selection for math insets (Alejandro)
- improvements to the configure and chkconfig.ltx scripts (Jean-Marc)
- fixed label-printing for David's smallcaps-labels (Matthias)
- internally middle mouse paste (only highlighted text, only
  inside one buffer. Will be improved in the near future so that
  LyX really helds the X-Primary-Selection...hopefully) (Matthias)
- new function "break-paragraph-keep-layout" bind to "M-Return" in
  the bindfiles that also keeps the current depth (Matthias)
- Spellchecker options code rewritten. (Asger)
- Minor bugfixes in spellchecker. (Asger)
- chkconfig.ltx language clean up. (Asger)
- Missing shortcuts added to menus. (Asger)
- File-menu context-dependent on textclass. (Asger)
- Yet another clean up of the README file. (Asger)

since 0.10.1
- open floats are now in a red box with a small label at the top-left 
   corner  (Matthias)
- opening of floats with dbl-click, closing with click on the label (Matthias)
- popup on right-mouse when inside a float, therefore changed table-popup
   to appear only when the hit was on the table (Matthias)
- figure- and tablefloats are now open after loading (Matthias)
- put "insert primary selection (lines)" on the middle-mouse (Matthias)
- small bugfix concerning nested environments and layouts with 
    top_label or centered_top_label (Matthias)
- very small fix to the layout-desciption of abstract layout (Matthias)
- documents no longer marked as changed after processing of  figinsets.
   Therefore UpdateInset got a "mark_dirty"-boolean parameter (Matthias)
- no more undo stored when entering highly-editable-insets (mathinsets), 
   but when these are changed  (as LYX_UNDO_INSERT). This is called by
   mathinsets via LockedInsetStoreUndo(). Several other minor fixes to 
   undo-handling with insets (little steps forward completly transparent
   mathed-integration)  (Matthias)
- new inset feature "const char* EditMessage()" that appears in the minibuffer
   when editing. So no missleading "Opened inset" anymore... (Matthias)
- Added experimental chkconfig.tex which check for the availability of
  some packages. It should be expanded if there is interest. (Jean-Marc)
- Added new layout to support the paper.cls documentclass. (Jean-Marc)
- Added reverse video and monochrome support to lyx, through the use of
  switches: -Reverse -Mono -MathColor -MathFrameColor -FootColor -FillColor
  -OnOffLineColor -LatexColor -InsetColor -LightedColor.
  The switches default to the present configuration.
- enhancements to configure script with latex autodetection
- new functions: file-insert, file-new, file-open (Uwe)
- support for fancyheadings (Uwe)
- Changed default placement of dialogs to be around mouse to improve
  keyboard usage. (Asger)
- Changed appearance of labels from "\label{name}" to "name" in a
  grey box. (Asger)
- Fixed small errors in a few bubble-help texts. (Asger)
  
since 0.10.0
- implemented a bubble-help for the icons (Matthias)
- updated lyx.C to fit with the lyx.fd file (Headings sizes now Large)
  (Matthias)
- filebrowser gets a suggested field now, i.e. "newfile" when
  creating a new file, otherwise it is cleared (Matthias)
- borderwidth set to -2 for visual feedback when clicking on icons (Matthias)
- small bugfix in UpdateInset (Matthias)
- marked "Formula" and "Numbered Formula" layouts a obsolete.
   Search for "Obsolete Layouts" in lyx_cb.C (Matthias)
- lastfiles::newfile now called when writing or loading a file, not anymore
   when just calling newfile  (Matthias)

since pre0.10.3
- \cline support for tables => vertical multicolumns (Matthias)
- reimplemented the keyboard-control for the combobox (Matthias)
- mathinsets now work in latex commands. This was done by adding
   "fragile" as a parameter to the insets' Latex feature. (Matthias)
- the reference-box now shows mathinset-labels, too. Will still work
   when mathinsets allow several lables (Matthias)
- cut/copy-selection fixes (also table copy bug) (Matthias)
- floats at beginning of description fixed (Matthias)
- fixed two serious bugs in text-class (ptr-par instead of ptr->par) (Matthias)
- autosave interval default changed from 120 to 300 because of the undo
  feature. (Asger)
- Added ctrl+ins for copy, shift+del for cut, and shift+ins for paste
  to the pc-modern bind file. (Asger)
- Added info on how to submit a patch to README. (Asger)
- added options \kbmap, \kbmap_primary, and \kbmap_secondary to lyxrc. (Lgb)
- added DEBUG_KBMAP (Lgb)
- border with set to (-)1 some new icons included and old ones modified.
  This still needs some tuneup.
- fixed a long time bug in QuitLyX() (Lgb)
- some (very) small changes to the main window. (Lgb)
 
since pre0.10.2
- fixes to make LyX compile on SGI CC (Xiaokun)
- rework of combox (true pop-up and grabbing) (Alejandro)
- combox used in Layouts->Document. (Alejandro)
- allow default.map (should we provide one?) (Lgb/Jacques)
- fixed bug in intl.C. This one has been there ever since I changed
  intl.C to use the structures in tex-defs.h insetad of its own. Several
  people have tried to fix this, but they have only fixed the sympthoms, not
  the real problem. Hopefully it is correct now. (Lgb)

since pre0.10.1
- rework of DeleteLineForward, DeleteWord[Forward, Backward] (Matthias)
- fixes to undo and delete-empty-paragraph-mechanism (Matthias)
- small change to emacs.bind to fit more with X-Emacs [home, end] (Matthias)
  (these are only included in comments, GNU Emacs does not
    have these bindings [Lgb])
- few small fixes (Matthias)
- several small fixes (posted to lyx@via)
- combox now used in Options->Keyboard. Should not introduce new bugs, but
  something is still wrong in intl.C (Lgb)
- added activate(), deactivate() to Combox (Lgb)

since 0.9.28
- Visual label and numbering for equations  (Alejandro)
- Proper handle of locked insets in buffer  (Alejandro)
- Several Mathed misfeatures fixed  (Alejandro)
- Math forms cleaned up. (Asger Alstrup)
- Bug in system.lyxrc fixed: Fontencoding back to T1. (Asger Alstrup)
- Added new --with-broken-const option to configure (Jean-Marc)
- Checked in all file that config.h is the first to be #included (Jean-Marc)
- Update to INSTALL and README.bin (Jean-Marc)
- correct undo enabled for delete-word[line] functions (Matthias)
- print-to-ps-file now prints in the directory of the document (Matthias)
- little table bugfix (too wide margins in multicolumns) (Matthias)
- copy & paste bugfix to avoid half tables (Matthias)
- toolbar-fixes: pointer_grab with sb_right_cursor and 
  disabling of other widgets when the layout-choice is down.
  Now the layout-choice should behave like a real widget :-) (Matthias)
 
since 0.9.27
- reenabled "lyxquote"-macro in lyx_sty.h and file.C as "lxq". (Matthias)
- Improved inset-locking. Now every buffer can have its own 
   the_locking_inset (Matthias)
- new layout-description command "latexclass", few delete[] fixes  (Matthias)
- linux-doc-sgml-bug concerning footnotes fixed (Matthias
- fixes to paragraph enumeration in footnotes (Matthias)
- another fix to the DepthCB-stuff (Matthias)
- deleteting tmpbuf when exiting re-enabled (Matthias)
- fixed the INOUT-bug with menus (Matthias)
- avoids display-insets in tables (Matthias)
- correct placement of error boxes even with mathinsets in 
   document (Matthias)
- rework of figinsets path-handling. Now figinsets use an
   absolute path internally, what is hidden for the user.
   You will see the effect when moving a figinset into
   another buffer. See figinset.C for further details (Matthias)
- filebrowser to create new document (Matthias)
- small other fixes (Matthias)
- Change to configure to check that the xforms library is 0.81 (Jean-Marc)

since 0.9.26
- Several Mathed improvements: better limits display, visual decorations
  and accents, spaces, oint, single greek, dots, etc.  (Alejandro)
- bugfixes and little enhancement for insert-reference (Matthias)
- new functions layout-character, layout-document, layout-paragraph,
   layout-quotes, font-roman, little fixes (Matthias)
- little changes to menus and bindfiles (Matthias)
- dvips set as epsfig-driver in system.lyxrc (Matthias)
- small fix to LyXText::OpenStuff and OpenMathInset(Matthias)
- changes to lyx_sty.h to avoid floats on pages with
   lyx-title-layout (Matthias)
- few figinset fixes concerning memory (de-)allocation(Matthias)
-  the "do not display this figure"-option of figinsets now works.(Matthias)
- scrollbar set back to old look but with 3D arrows (Matthias)
- no more segfault when chosing a kbmap. (Matthias)
- once again: "Newline" in preamble input is possible (Matthias)

since 0.9.25
- makepatch changed to use YYMMDD date format instead of DDMMYY so the 
  patchfiles sort better. (Asger Alstrup)
- Clean up and restructuring of default system-lyxrc file. (Asger Alstrup)
- Minor changes to minibuffer messages and man-page. (Asger Alstrup)
- Minor simplification of parsing of booleans in lyx_rc.C so GetBool is
  used. (Asger Alstrup)
- wysiwyg delimiters and decorations!  (Alejandro)
- Hopefully solved the tmpbuf \input and figinset problem by setting
   input@path in the generated tex-file if necessary (Matthias)
- enabled undo for editing insets (Matthias)
- Rotating arrow and keyboard control for layout combobox (Matthias)
- New function "drop-layouts-choice" (Matthias)
- MiniBuffer::Activate(), MiniBuffer::Deactivate() (Matthias)
- LFUN_DEPTH alias "depth-next" works again (Matthias)
- little bugfix in text2.C CheckParagraph. Happend when the cursor
   was inside a table and a figinset is processed. Many thanks
   to the very good bugreports:-)  (Matthias)
- small fix to ComboBox: correct gravity for the browser (Matthias)
- changed various delete's to delete[] (Matthias)
- small fix to UpdateInset (Matthias)
- Small fixing to combox  (Alejandro)
- Mathed bugs fixed related to delimiters, macro mode
  and parser's panic (Alejandro) 
- math-display is used in math mode to toggle the display status of
  and existing formula (Alejandro)
- A new action math-delim, needs 2 arguments separated by a ' '.  (Alejandro)

since 0.9.24
- Documentation for Mathed  (Alejandro)
- Fixed several reported Mathed bugs  (Alejandro)
- Moved minibuffer out from lyx_cb and added protection against
  blank inputs  (Alejandro) 
- lyx.fd created for lyx.C. Be careful with this one. (Asger Alstrup)
- Filebrowser simplified. (Asger Alstrup)
- Shortcuts and resizeability added to most dialogs. (Asger Alstrup)
- bugfixes to tables (Matthias)
- little optical changes to combobox (colors) (Matthias)
- GUI warning when exiting because of unreachable layout descriptions
  (Matthias)
- small bugfix in bind-files (Matthias)
- little change to menus (float instead of the missleading caption) (Matthias)
- small changes to fileformat to allow reasonable diff/patch (Matthias)
- bugifxes to texcode generation (Matthias)

since 0.9.23
- not much only small fixes (?)

since 0.9.22
- Some mathed bugs fixed (Alejandro)   
- Preliminary support for math accents  (Alejandro)
- A step to incorporate mathed as the new math mode (Alejandro) 
- Support for label and numbering a formula (Alejandro) 
- Preliminary support for maketitle (Alejandro) 
- Bugfixes for wysiwyg tables, pageUp/pageDown-scrolling,
  buffer resizing, file browser, find & replace and undo (Matthias)
- cleanup for the layout descriptions (Matthias)
- enhancments to the lyx environment handling: defaultfamily, defaultseries,
  defaultshape and defaultsize. Also centered_top_label_environment
  (Matthias)
- the layout object in the mainform now uses a combox. Not as encapsulated
  as I'd want it to be. (Lgb)
- small changes to the combox class + added FL_COMBOX_INPUT (Lgb)
- general cosmetic cleanup + small stuff (Lgb)
- fixed configure's --with-extra-lib on Solaris 2.x (Jean-Marc)
- fixed configure so that it does not use libstdc++ if not present (Jean-Marc)
- updated devel/tools/autoconf.patch with a new fix (Jean-Marc)

since 0.9.21
- Configure changes. Option --with-sun-headers is automatic now (Jean-Marc)
- Changed the function bzero() to macro BZERO() which uses either memset() 
  or bzero() (Jean-Marc)
- Added support for | in file.C and corrected prettyprinting of `LaTeX2e'
  (Jean-Marc)
- A few changes to help compile with Sun's CC -- does not work yet (Jean-Marc)
- fix to spellchecker (Floyd)
- some cleanup (Lgb)
- a combobox is now included in the source but not used (Alejandro)

since 0.9.20
- Correct scrolling during inset lock. Therefore new method 
  LyXScreen::FitManualCursor  (Matthias) 
- No weird scrolling anymore when locking a highly editable inset (Matthias)
- bugfixes in CheckParagraph that is used to update insets (Matthias)
- state info for fontloading. New Store() and Reset() method for minibuffer
  (Matthias)
- MoveCursorUpdate now works again  (Matthias)
- Display()-Insets are now printed on the screen as Display()-Insets. 
  Also code to make sure Display()-Insets cannot occur on weird places
  (Matthias)
- small fix to cut and paste (Matthias)
- small fix in inserting figures: no more latex when figinset (Matthias)
- Automatic scrolling to keep the cursor visible for mathisnets (Matthias)
- Fixed bug in Minibuffer that created unnecessary pseudoactions (Alejandro)
- To prevent that \xdvi_extra_options cause segfault, now is used
  the size of the table instead of the last enum.                (Alejandro) 
- Added function bool lyxlex::GetBool() to parse "false" and 
  "true"  (Alejandro)
- Fixed several Mathed bugs.  (Alejandro)  
- Windows menu item renamed to Documents. (Asger Alstrup)

since 0.9.19
- bugfix in symgen.h (Robert Withrow)
- removed malloc and free in paths.C (Lgb)
- corrected command names in *.bind (Lgb)
- removed malloc and free from spellchecker.C. Added new and delete[]
  instead. Please test the spelchecker to see if anything went wrong. (Lgb)
- removed the info lines generated upon startup, use -dbg 1 to see them (Lgb)
- Cleaned up dialogs, menus and minibuffer dialog to improve user interface.
  Remove wierd forms "HiFi" and "Calc". All references to the word "buffer" 
  changed to "document" in user interface. Another small stuff. (Asger Alstrup)
- The traditionnal infinitesimal changes to configure (Jean-Marc).
- Changed command names view and view-ps into buffer-view and buffer-view-ps,
  and updated .bind files accordingly. (RvdK).
- Changed command name greek-toggle into math-greek-toggle and moved the
  command from the keyboard menu to to math menu (M-m g) in both .bind
  files. (RvdK)
- added a #error in lyx_main.C to gard against wrong version of xforms (Lgb)
- removed all KP_x from *.bind files, these were broken, please
  use xev to check what keysyms the keypad really returns (Lgb)

since 0.9.18
- remade the MiniBuffer class. it now encapsulates all the minibuffer
  stuff. Even the input object is hidden in this class. (Lgb)
- some changes to Toolbar, and added a new func toolbar-add-to (Lgb)
- added a quit pixmap (Lgb)
- two new keymaps (three) (nn sorry didn't record the names)
- Removed the void idle string from lyx_func_table and changed
  LookupLyxFunc accordingly. Now last element can be selected. (Alejandro :)
- Added void Inset::SetDisplay(bool) and implemented in InsetFormula
  (Alejandro)
- Fixed several Mathed bugs. (Alejandro)
- Changed command names to new set with object.event order. (RvdK)
- Changed `right' and `left' in command names to `forward' and `backward' 
  for consistency with other command names. (RvdK)
- Added user command `cancel' again (got lost in 0.9.18). (RvdK)
- Changed command name `meta-fake' to `meta-prefix'. (RvdK)
- Once again removed most of the built-in bindings. Did *not* remove the 
  movement, edit, accent and default keypad keys. (Rvdk)
- Replace bind section in system.lyxrc with stuff that supports the
  .bind files. (RvdK)
- Renamed Search & Replace to Find & Replace in menu and dialog. (RvdK)
- Renamed preview to view in command names and menus. (RvdK)
- Changed and/or added accelerators to several menus. (RvdK).
- added option to Document Layout form to allow \float_placement value
  to be changed on a per document basis. (thornley)
- added new command \float_placement to allow figure and table floats
  to be placed according to the users wish, rather than using LaTeX's
  default values. (thornley)
- configure changes to improve portability (Jean-Marc)
- usage of a free object instead of a canvas for the work_area:
  Advantage is the better focus managment. The work_area gets
  the input now, even when the cursor is on a menu.
  When xforms someday will keep the focus of a form, LyX will, too. (Matthias)
- new look of the main form (Matthias)
- minibuffer is editable now (an input-widget) (Matthias)
- enables undo for replace-string and insert-string (Matthias)
- bugfix in texing tables (what Jean-Marc mentioned) (Matthias)
- few changes in insetlocking and mathinsets (Matthias)
- insets can now be edited with dbl-click AND middle mouse. (Matthias)
- inset can be "highly" editable (like mathinsets). With these
   a usual click is enough to edit them (Matthias)

since 0.9.17
- changed getenv("USER") into getenv("LOGNAME") (posix) (Lgb) (suggestion
  at lyx@via) 
- set the depth to 8 always. (Lgb) (suggestion at lyx@via)
- screen is now correct (Lgb)
- LyX should now read the lyxrc file correctly (I hope) (Lgb)
- update to mathed (Alejandro)
- cosmetic cleanup, and spell fix (Jean-Marc)
- small changes to figinset (Matthias)
- moved form_search into form1.fd (Matthias)
- update to tables (multicolumn) and undo (Matthias)
- Patched LookupLyxFunc(). Scan range now depends on sizeof
  lyx_func_table. Last element could not be selected. (RvdK).
- Added two new user commands: depth-dec and depth-inc. (RvdK). (I
  changed the names. Lgb.)
- Very small change to DepthCB() to support depth-dec command. (RvdK).
- Added new user command: menu-open. (RvdK).
- Added new function MenuOpenByName() in lyx_cb.C that opens a
  visible menu of a given name. (RvdK). (NB! Almost nothing should
  be added to lyx_main.C. Lgb)
- Added new user command: spellcheck. (RvdK).
- Disabled the Meta-xxx visible menu accelerators. (RvdK).
- Changed some of the visible menu accelerators, some of the menu
  item texts and removed fixed binding strings. (RvdK).
- Added new \bind_file lyxrc command that loads a bind file from
  system dir (unless an absolute path is given). (RvdK).
- Introduced two new bind files, pc-modern.bind and emacs.bind that
  hold default binding configuarations. (RvdK).
- Changed Makefile.in. The .bind files are now installed to the
  system dir. (RvdK).
- Added user commands `cancel' and `meta-fake' for \bindable
  cancel and meta fake functionality and added cancel and meta-fake 
  features in keybind.C. (RvdK).
- When building a key sequence, the minibuffer always reflects this state,
  without time-out. (RvdK).
- When a prefix key is entered, the available key options appear after one 
  second in the minibuffer. (Rvdk)
- Possible to execute commands from minibuffer. (Lgb) (not very clever done)
  it is not even possible to see what you write :-(
- change to InsetFig::Browsefile (thornley)
- made a MiniBuffer class (methods: Set, Init, and expose) (Lgb)

since 0.9.16
- configure updates : removed support for installing lyx.sty, for xforms 0.75, 
  updated INSTALL file, removed a few macros from lyx_sty.h and enclosed
  it in \makeatletter ... \makeatother (Jean-Marc)
- fiddling in lyx_sty.h (Lgb)
- new bindable function: push-toolbar(int nth) and a hack in 
  create_form_form_main so that other objs can know where
  the toolbar is. (not finished) (Lgb)
- Class Inset split into two classes: interaction methods
  now are placed in UpdatableInset class, and the_locking_inset
  is an object of this class.  (Alejandro)
- All references to Displaymath layout removed from formula.C.
  Now lyx should center a mathinset if its method
  Display() returns true. Also, for a clean scrolling, the
  method HotSpot returns the position of the inset, since
  a mathinset moves current lyx cursor.  (Alejandro)
- Now Mathed supports Arrays, eqnarrays and numbered equations.  (Alejandro)
- Enhaced local TeX mode for mathed, and several bugs fixed  (Aljandro)
- Rewriten mathed's cloning mechanism. No more segfaults when UNDO (Alejandro) 
- Unlimited UNDO and REDO (Matthias)
- the string "LyX" will be texed with the new lyxlogo as \LyX{}
   Also TeX and LaTeX. (code is in file.C, "idea for labels")
- AutoCorrection with special Autocorrect-buffer
- Some cleanup and several bugfixes of the LyXText-class (Matthias)
- layout conversion error fixed and several more bugfixes (Matthias)
- improved tables (dashed unvisible lines, some fixes) (Matthias)
- float-labels and lines appear red now (Matthias)
- Added LYX_SYMBOL_FAMILY to the font module (Matthias)
- TexRowStuff changed in a way that allows LaTeX to
  run in background in the future (Matthias)

since 0.9.15
- Fixed several bugs related to lyxlex in lyxrc.C (Alejandro)
- added a \input to lyxrc (Alejandro)
- C-k now _is_ delete-line-forward (Alejandro) (That was now, wasn't it?)
- kill-line-forward now works as expected (Lgb)
- table and menu update (Matthias)
- lyx.sty removed, is now included in lyx. (Lgb)
- \def\LyX included in lyx_sty.h, IMO need changes. (Lgb from David)
- fixes to compile lyx on SGI/NCC (Xiaokun)
- small fix in MakeLaTeX... + added some info lines in .tex file (Lgb)

since 0.9.14
- Introduced several features to mathed, and bugs fixed. (Alejandro)
- update to configure (Jean-Marc)
- menu and table stuff (Matthias)

since 0.9.13
- Configure changes (Jean-Marc)
- enhancements to lyxlex (Alejandro)
- speed up and other (i.e. toolbar change) (Matthias)
- fix depth item in toolbar + other small toolbar changes (Lgb)
- more clean up (or obfusc. depends on view) (Lgb)
- update of isolyx.lyx, not good yet, but better. (Lgb)
- have I forgot anything? Please make a note in changes when sending patches.
  (just add the note to the absolute top of the file)

since 0.9.12
- More configure changes (Jean-Marc)
- some bugfixes (several)
- freespacing (Robert)
- using LyXLex for parsing of lyxrc (not broken is it?) (Lgb & Alejandro)
- more cleanup and moving around (Lgb)
- have I forgot anything? Please make a note in changes when sending patches.

since 0.9.11
- Math panel enhanced.  (Alejandro)
- Created a simple lexical analizer class from existing code. (Alejandro)
- preliminary support for read only buffers (Dirk)
- use tmpdir for generated files (Dirk)
- reorganization of code (Dirk and Lars Gullik)
  (did I overdo this? lgb)
- command line arguments and resources (a couple) (Lars Gullik)
- removed a sympthom (latex file sometimes contained '\0')
  this still needs to be fixed in a decent way. (Lars Gullik)
- support for debug levels look in definitions.h (Lars Gullik)

since 0.9.10
- a nasty bug in argument passing removed (Dirk)
- BufferList now actually works. 
  buffer[current_buffer] replaced with bufferlist.current() (Lars Gullik)
  (this is why 0.9.11 was released)
- some minor fixes (Lars Gullik)
- all (99%) unused variables have been commented out (or removed.) (Lgb)

since 0.9.9
- Several enhancements and bugs fixed to MathEd. (Alejandro)
- New path/filename mingling code (Dirk)
- Some cleanup and adding more bugs. (Lars Gullik)
- buffers almost dynamic alocated (disabled, might be removed). (Lars Gullik)
- most of the forms moved to external files (Dirk)

since 0.9.8
- bugs fixed (Matthias)
- a new symbolgenerator (not quite finished, hopefully useful) (Lars Gullik)
- three new keymaps. (Boloni Laszo)
- Sharing text keybind handling to mathed, and bugs fixed. (Alejandro)
- support for the new xforms lib (0.8x) the old one is still
  usable (just remember '#define oldxf' in config.h) (Lars Gullik)
- some improvements to make usable pseudoactions in toolbar. (Alejandro)

since 0.9.7
- TAGS in makefile + small change to makepatch (Lars)
- toolbar configurable from .lyxrc (Lars)
- pseudoaction handling and some improvements in toolbar. (Lars & Alejandro)
- some changes to quit sequence and title form (Lars)
- some new commands and keybindings (Robert)
- configure improvements (Jean-Marc)
- first steps for wysiwyg-tables (Matthias)
- improvements in row-printing (top labels and chapter labels) (Matthias)
- some bugfixes (code & layouts)
- see APPLIED Patches. Authors of these patches, please drop me
  a short line for the CHANGES list, thanks.

since 0.9.6
- configure improvements (Jean-Marc)
- a lot of small things (Robert)
- some things (Lars)
- Bugfixes (Graham)

since 0.9.5
- Integration of MathEd (Alejandro)
- configure patches (Jean-Marc)
- few bugfixes

since 0.9.4
- user definable toolbar, deadkey handling improved,
  various small improvements (Lars)
- configure improved (Jean-Marc)
- faster rebreaking when texing and opening/closing all floats (Matthias)
- popups move to front now when reinvoked (Matthias)

since 0.9.3
- improved wysiwyg figures (Ivan)
- bugfixes (Matthias)

since 0.9.2
- improved bind. Greek keyboard (Alejandro)
- improved wysiwyg figures (Ivan)
- bug fixes 
- new inset features for figures and mathed (Matthias)

since 0.9.1
- many many bugfixes
- better keymap handling
- wysiwyg figures (preliminary support) (Ivan)

since 0.8.3 (this is new development branch 0.9.1)
 0.9.1 is basically the same as 0.8.3 with
 some alterations to the keyhandling code and
 better internal support for dead-keys.

since 0.8
- improved mathtables (Alejandro)
- improved configure script (Jean-Marc)
- few bugfixes 

since 0.7p4d11
- several bugfixes (when will that end?))
  and "goto note" function (Matthias)
- kbmaps documentation (Ivan)

since 0.7p4d10
- nicer latex-code (Matthias)
- kbmaps (Ivan Schreter)
- menus don't segfault anymore (XForms bug) (Lars Gullik)
- printer enhancements (D.A. Niggemann)
- Few bugfixes, little linuxdoc enhancements (Matthias)

since 0.7p4d9
- new menus (Lars Gullik)
- note inset, simple help system, label/reference support,
  credits popup, few bug fixes (Matthias Ettrich)

since 0.7p4d8
- font underline support (Matthias) 
- layout bug correction and config. handling enhancements (D.A. Niggemann)
- real configure script (Thomas Pundt)

since 0.7p4d7
- fixed the layout display when specifying a document on command line 
  (Matthias)
- changed the search order for layouts seeking (Lars Gullik)
- changed the Copyright notice timeout (Lars Gullik)
- added layout class "letter" (Matthias)
- implemented a current row. Before this change LyX had to go through the whole
  document from the beginning each time it accesses a row on the screen. 
  (Matthias)
- bug corrections and more... (Matthias Ettrich and Lars Gullik)

since 0.7p4d6
- spellchecker (Hubert Schreier)
- layout parser redesign (Alejandro Aguilar Sierra)
- math symbol form enhancements (Alejandro Aguilar Sierra)
- Imakefile rework and lyx form close callback (Pascal Andre)
- bug corrections and more ... (Christian Buescher and Lars Gullik)

since 0.7p4d5
- math symbol support (Alejandro Aguilar Sierra)
- keymaps 32bits patch (Christian Buescher)
- LinuxDoc SGML support enhancement (Pascal Andre)
- external style definition files (Pascal Andre)

since 0.7p4d4
- user-definable keys (Christian Buescher)
- lyxserver (Christian Buescher)
- LinuxDoc SGML support (Pascal Andre)
- bugfix in select word (very first and very last)

since 0.7p4d3
- dead-key support for isolatin characters.
  (Lars Gullik)
- fontencoding command added (Lars Gullik)
- epsfig-driver support (Lars Gullik)
- multicol.lyx documentation added (Lars Gullik)
- isolyx.lyx documentation added (Lars Gullik)
- fontsizes and font_norm can be set now via GUI or 
  lyxrc
- pasting of the primary selection is now possible
- internally improved cut and paste
  (necessary to implement tables and
  equations in the future)
- less memory leaks

since 0.7p4
- added a table of contents:
  support for tocdepth, tabel visible in extra window,
  ability to jump to the corresponding position in 
  the text by clicking into the table of contents
- added support for spellchecker
- support for psnfss and inputenc. Removed the
  obsolete isolatin1 stuff.
- delete can be mapped to backspace in the .lyxrc
- temporary fix of the scrollbar's behavior. I also
  added two scroll buttons until XForms comes with
  a real scrollbar.
- small bug in delete character fixed, concerning
  the screen refresh
- other little bugfixes

since 0.7p3
- improved word-wise movement
- tex code in LaTeX Commands like lyxrightaddress was 
  wrong since a senseless protec was added after
  the tex code.

since 0.7p2
- close buffer caused a segfault with an empty 
  buffer
- M-v and C-v did not do what emacs does
- xdvi extra options works now

since 0.7
- fixed a terrible bug concerning footnotes.
  (saving and cut & paste)
  
since LyX 0.5 
  (sorry I was too lazy too report the various 
  changes)

since 1.05p2
- changed toolkit to XForms and improved a LOT of
  things. 

since 1.05
- Motif2.0 fix: When the layouts combobox was
  set to another layout (for example when moving
  the cursor through the text) the layouts where
  set again. That means that user defined changes
  to the paragraphs like vertical spaces etc. where
  reseted to the default values.
  This bug didn't occur with Motif < 2.0

since 1.04
- new font handling (saver and more variable) since
  a lot of segementationt faults (that nowbody told
  me :-( ) occured on systems that had other fonts 
  installed.
- less bugs (specifying a file at the commandline,
  user defined preambles, generated tex-code)
- you may preview and print from within NoName now
- tex runs now in the directory where the lyx-file
  is. This is better, since the dvi-file may need
  pictures.
- editor asks when exiting with unsaved changes.
- you may use editres with noname now

since 1.03:
- You can run LaTeX from within NoName now.
- Generated TeX-code should be less buggy.
- Editor is improved (cut&paste, search&replace)
- Creating a new file is easier.
